unit ut_packages_natives;

interface

const
  nffFunction = 0;
  nffPreOperator = 1;
  nffPostOperator = 2;
  nffOperator = 3;

type
  TNativeFunction = record
    Index: integer;
    Format: byte;
    OperatorPrecedence: byte;
    Name: string;
  end;
  TNativeFunctions = array of TNativeFunction;

// When changing the NativeFunctions array decrease the OperatorPrecedence for "&&", "||", "^^"
// operators to a value smaller than that of any other operator so that they will
// have parenthesis around their operands when that operands are other operators.

const

  // Unreal Tournament v436

  NativeFunctions_UT: array[0..231] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (ut436)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (ut436)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ut436)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ut436)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (ut436)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (ut436)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ut436)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ut436)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (ut436)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (ut436)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (ut436)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (ut436)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (ut436)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (ut436)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (ut436)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (ut436)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (ut436)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ut436)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ut436)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ut436)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ut436)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ut436)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ut436)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ut436)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (ut436)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ut436)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ut436)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ut436)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ut436)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (ut436)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (ut436)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ut436)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ut436)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ut436)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ut436)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (ut436)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (ut436)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (ut436)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ut436)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ut436)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ut436)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ut436)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ut436)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ut436)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ut436)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (ut436)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (ut436)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ut436)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (ut436)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ut436)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (ut436)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ut436)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ut436)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ut436)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ut436)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ut436)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ut436)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ut436)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ut436)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ut436)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (ut436)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (ut436)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (ut436)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (ut436)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (ut436)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (ut436)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (ut436)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (ut436)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (ut436)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (ut436)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (ut436)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (ut436)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ut436)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ut436)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ut436)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ut436)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (ut436)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (ut436)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ut436)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ut436)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ut436)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (ut436)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (ut436)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (ut436)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (ut436)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (ut436)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (ut436)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (ut436)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (ut436)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (ut436)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (ut436)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (ut436)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (ut436)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (ut436)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (ut436)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (ut436)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (ut436)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (ut436)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (ut436)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (ut436)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (ut436)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (ut436)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ut436)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ut436)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (ut436)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (ut436)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (ut436)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (ut436)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (ut436)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (ut436)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (ut436)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (ut436)
    {0134}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (ut436)
    {0135}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (ut436)
    {0136}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (ut436)
    {0137}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (ut436)
    {0138}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (ut436)
    {0139}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (ut436)
    {0140}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (ut436)
    {0141}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (ut436)
    {0142}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (ut436)
    {0143}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (ut436)
    {0144}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (ut436)
    {0145}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (ut436)
    {0146}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (ut436)
    {0147}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0148}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0149}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ut436)
    {0150}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0151}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ut436)
    {0152}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (ut436)
    {0153}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (ut436)
    {0154}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ut436)
    {0155}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ut436)
    {0156}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (ut436)
    {0157}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (ut436)
    {0158}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (ut436)
    {0159}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (ut436)
    {0160}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (ut436)
    {0161}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (ut436)
    {0162}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (ut436)
    {0163}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (ut436)
    {0164}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (ut436)
    {0165}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (ut436)
    {0166}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (ut436)
    {0167}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (ut436)
    {0168}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (ut436)
    {0169}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (ut436)
    {0170}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (ut436)
    {0171}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (ut436)
    {0172}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ut436)
    {0173}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ut436)
    {0174}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ut436)
    {0175}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ut436)
    {0176}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (ut436)
    {0177}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (ut436)
    {0178}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (ut436)
    {0179}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (ut436)
    {0180}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (ut436)
    {0181}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (ut436)
    {0182}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (ut436)
    {0183}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (ut436)
    {0184}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (ut436)
    {0185}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (ut436)
    {0186}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (ut436)
    {0187}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (ut436)
    {0188}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (ut436)
    {0189}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (ut436)
    {0190}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (ut436)
    {0191}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (ut436)
    {0192}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (ut436)
    {0193}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (ut436)
    {0194}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (ut436)
    {0195}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (ut436)
    {0196}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (ut436)
    {0197}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (ut436)
    {0198}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (ut436)
    {0199}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (ut436)
    {0200}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (ut436)
    {0201}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (ut436)
    {0202}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (ut436)
    {0203}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (ut436)
    {0204}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (ut436)
    {0205}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (ut436)
    {0206}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (ut436)
    {0207}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (ut436)
    {0208}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (ut436)
    {0209}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (ut436)
    {0210}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (ut436)
    {0211}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (ut436)
    {0212}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (ut436)
    {0213}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (ut436)
    {0214}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (ut436)
    {0215}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (ut436)
    {0216}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (ut436)
    {0217}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (ut436)
    {0218}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (ut436)
    {0219}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (ut436)
    {0220}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (ut436)
    {0221}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (ut436)
    {0222}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (ut436)
    {0223}(Index: 00548; Format: nffFunction; OperatorPrecedence: 000; Name: 'FastTrace'), // Engine.u (ut436)
    {0224}(Index: 00549; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (ut436)
    {0225}(Index: 00550; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (ut436)
    {0226}(Index: 00551; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (ut436)
    {0227}(Index: 00552; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (ut436)
    {0228}(Index: 01033; Format: nffFunction; OperatorPrecedence: 000; Name: 'RandRange'), // Core.u (ut436)
    {0229}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (ut436)
    {0230}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (ut436)
    {0231}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (ut436)
    );

  // Rune

  NativeFunctions_Rune: array[0..269] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (rune)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (rune)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (rune)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (rune)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (rune)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (rune)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (rune)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (rune)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (rune)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (rune)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (rune)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (rune)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (rune)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (rune)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (rune)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (rune)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (rune)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (rune)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (rune)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (rune)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (rune)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (rune)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (rune)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (rune)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (rune)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (rune)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (rune)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (rune)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (rune)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (rune)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (rune)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (rune)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (rune)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (rune)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (rune)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (rune)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (rune)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (rune)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (rune)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (rune)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (rune)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (rune)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (rune)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (rune)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (rune)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (rune)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (rune)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (rune)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (rune)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (rune)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (rune)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (rune)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (rune)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (rune)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (rune)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (rune)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (rune)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (rune)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (rune)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (rune)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (rune)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (rune)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (rune)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (rune)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (rune)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (rune)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (rune)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (rune)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (rune)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (rune)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (rune)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (rune)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (rune)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (rune)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (rune)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (rune)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (rune)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (rune)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (rune)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (rune)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (rune)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (rune)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (rune)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (rune)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (rune)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (rune)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (rune)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (rune)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (rune)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (rune)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (rune)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (rune)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (rune)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (rune)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (rune)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (rune)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (rune)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (rune)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (rune)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (rune)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (rune)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (rune)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (rune)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (rune)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (rune)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (rune)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (rune)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (rune)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (rune)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (rune)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (rune)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (rune)
    {0134}(Index: 00265; Format: nffFunction; OperatorPrecedence: 000; Name: 'StopSound'), // Engine.u (rune)
    {0135}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (rune)
    {0136}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (rune)
    {0137}(Index: 00268; Format: nffFunction; OperatorPrecedence: 000; Name: 'StopAllSound'), // Engine.u (rune)
    {0138}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (rune)
    {0139}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (rune)
    {0140}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (rune)
    {0141}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (rune)
    {0142}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (rune)
    {0143}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (rune)
    {0144}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (rune)
    {0145}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (rune)
    {0146}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (rune)
    {0147}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (rune)
    {0148}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (rune)
    {0149}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0150}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0151}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (rune)
    {0152}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0153}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (rune)
    {0154}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (rune)
    {0155}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (rune)
    {0156}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (rune)
    {0157}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (rune)
    {0158}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (rune)
    {0159}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (rune)
    {0160}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (rune)
    {0161}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (rune)
    {0162}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (rune)
    {0163}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (rune)
    {0164}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (rune)
    {0165}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (rune)
    {0166}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (rune)
    {0167}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (rune)
    {0168}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (rune)
    {0169}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (rune)
    {0170}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (rune)
    {0171}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (rune)
    {0172}(Index: 00313; Format: nffFunction; OperatorPrecedence: 000; Name: 'SweepActors'), // Engine.u (rune)
    {0173}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (rune)
    {0174}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (rune)
    {0175}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (rune)
    {0176}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (rune)
    {0177}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (rune)
    {0178}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (rune)
    {0179}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (rune)
    {0180}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (rune)
    {0181}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (rune)
    {0182}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (rune)
    {0183}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (rune)
    {0184}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (rune)
    {0185}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (rune)
    {0186}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (rune)
    {0187}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (rune)
    {0188}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (rune)
    {0189}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (rune)
    {0190}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (rune)
    {0191}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (rune)
    {0192}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (rune)
    {0193}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (rune)
    {0194}(Index: 00490; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawLine'), // Engine.u (rune)
    {0195}(Index: 00491; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawLine3D'), // Engine.u (rune)
    {0196}(Index: 00492; Format: nffFunction; OperatorPrecedence: 000; Name: 'TransformPoint'), // Engine.u (rune)
    {0197}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (rune)
    {0198}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (rune)
    {0199}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (rune)
    {0200}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (rune)
    {0201}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (rune)
    {0202}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (rune)
    {0203}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (rune)
    {0204}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (rune)
    {0205}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (rune)
    {0206}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (rune)
    {0207}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (rune)
    {0208}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (rune)
    {0209}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (rune)
    {0210}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (rune)
    {0211}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (rune)
    {0212}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (rune)
    {0213}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (rune)
    {0214}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (rune)
    {0215}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (rune)
    {0216}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (rune)
    {0217}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (rune)
    {0218}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (rune)
    {0219}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (rune)
    {0220}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (rune)
    {0221}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (rune)
    {0222}(Index: 00535; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindWaterLine'), // Engine.u (rune)
    {0223}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (rune)
    {0224}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (rune)
    {0225}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (rune)
    {0226}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (rune)
    {0227}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (rune)
    {0228}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (rune)
    {0229}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (rune)
    {0230}(Index: 00548; Format: nffFunction; OperatorPrecedence: 000; Name: 'FastTrace'), // Engine.u (rune)
    {0231}(Index: 00549; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (rune)
    {0232}(Index: 00550; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (rune)
    {0233}(Index: 00551; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (rune)
    {0234}(Index: 00552; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (rune)
    {0235}(Index: 00602; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetJointPos'), // Engine.u (rune)
    {0236}(Index: 00603; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetJointRot'), // Engine.u (rune)
    {0237}(Index: 00605; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetJointName'), // Engine.u (rune)
    {0238}(Index: 00608; Format: nffFunction; OperatorPrecedence: 000; Name: 'ApplyJointForce'), // Engine.u (rune)
    {0239}(Index: 00609; Format: nffFunction; OperatorPrecedence: 000; Name: 'NumJoints'), // Engine.u (rune)
    {0240}(Index: 00610; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultPolygroups'), // Engine.u (rune)
    {0241}(Index: 00611; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultJointFlags'), // Engine.u (rune)
    {0242}(Index: 00613; Format: nffFunction; OperatorPrecedence: 000; Name: 'AttachActorToJoint'), // Engine.u (rune)
    {0243}(Index: 00614; Format: nffFunction; OperatorPrecedence: 000; Name: 'DetachActorFromJoint'), // Engine.u (rune)
    {0244}(Index: 00616; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnJointTo'), // Engine.u (rune)
    {0245}(Index: 00617; Format: nffFunction; OperatorPrecedence: 000; Name: 'ActorAttachedTo'), // Engine.u (rune)
    {0246}(Index: 00618; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClosestJointTo'), // Engine.u (rune)
    {0247}(Index: 00619; Format: nffFunction; OperatorPrecedence: 000; Name: 'JointNamed'), // Engine.u (rune)
    {0248}(Index: 00620; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetAnimationCache'), // Engine.u (rune)
    {0249}(Index: 00621; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetJointRot'), // Engine.u (rune)
    {0250}(Index: 00622; Format: nffFunction; OperatorPrecedence: 000; Name: 'FrameSweep'), // Engine.u (rune)
    {0251}(Index: 00651; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConfinementTick'), // RuneI.u (rune)
    {0252}(Index: 00652; Format: nffFunction; OperatorPrecedence: 000; Name: 'RopePointTick'), // RuneI.u (rune)
    {0253}(Index: 00653; Format: nffFunction; OperatorPrecedence: 000; Name: 'SpringPointTick'), // RuneI.u (rune)
    {0254}(Index: 00654; Format: nffFunction; OperatorPrecedence: 000; Name: 'TreePointTick'), // RuneI.u (rune)
    {0255}(Index: 00655; Format: nffFunction; OperatorPrecedence: 000; Name: 'MeshPointTick'), // RuneI.u (rune)
    {0256}(Index: 00660; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForRelease'), // Engine.u (rune)
    {0257}(Index: 00661; Format: nffFunction; OperatorPrecedence: 000; Name: 'Release'), // Engine.u (rune)
    {0258}(Index: 00662; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize2D'), // Core.u (rune)
    {0259}(Index: 00663; Format: nffFunction; OperatorPrecedence: 000; Name: 'CalcArcVelocity'), // Engine.u (rune)
    {0260}(Index: 00664; Format: nffFunction; OperatorPrecedence: 000; Name: 'NearestNavPoint'), // Engine.u (rune)
    {0261}(Index: 00665; Format: nffFunction; OperatorPrecedence: 000; Name: 'CloserNavPointTo'), // Engine.u (rune)
    {0262}(Index: 00666; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceTexture'), // Engine.u (rune)
    {0263}(Index: 00667; Format: nffFunction; OperatorPrecedence: 000; Name: 'LipSyncString'), // Engine.u (rune)
    {0264}(Index: 00668; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetCollisionRadius'), // Engine.u (rune)
    {0265}(Index: 00669; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTexture'), // Engine.u (rune)
    {0266}(Index: 00670; Format: nffFunction; OperatorPrecedence: 000; Name: 'SkeletonLook'), // Engine.u (rune)
    {0267}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (rune)
    {0268}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (rune)
    {0269}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (rune)
    );

  // DeusEx (from the demo)

  NativeFunctions_DeusEx: array[0..804] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (deusex)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (deusex)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (deusex)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (deusex)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (deusex)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (deusex)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (deusex)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (deusex)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (deusex)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (deusex)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (deusex)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (deusex)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (deusex)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (deusex)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (deusex)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (deusex)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (deusex)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (deusex)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (deusex)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (deusex)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (deusex)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (deusex)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (deusex)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (deusex)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (deusex)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (deusex)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (deusex)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (deusex)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (deusex)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (deusex)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (deusex)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (deusex)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (deusex)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (deusex)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (deusex)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (deusex)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (deusex)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (deusex)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (deusex)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (deusex)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (deusex)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (deusex)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (deusex)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (deusex)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (deusex)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (deusex)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (deusex)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (deusex)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (deusex)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (deusex)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (deusex)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (deusex)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (deusex)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (deusex)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (deusex)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (deusex)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (deusex)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (deusex)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (deusex)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (deusex)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (deusex)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (deusex)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (deusex)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (deusex)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (deusex)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (deusex)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (deusex)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (deusex)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (deusex)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (deusex)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (deusex)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (deusex)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (deusex)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (deusex)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (deusex)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (deusex)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (deusex)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (deusex)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (deusex)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (deusex)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (deusex)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (deusex)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (deusex)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (deusex)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (deusex)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (deusex)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (deusex)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (deusex)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (deusex)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (deusex)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (deusex)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (deusex)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (deusex)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (deusex)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (deusex)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (deusex)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (deusex)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (deusex)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (deusex)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (deusex)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (deusex)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (deusex)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (deusex)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (deusex)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (deusex)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (deusex)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (deusex)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (deusex)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (deusex)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (deusex)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (deusex)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (deusex)
    {0134}(Index: 00265; Format: nffFunction; OperatorPrecedence: 000; Name: 'StopSound'), // Engine.u (deusex)
    {0135}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (deusex)
    {0136}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (deusex)
    {0137}(Index: 00268; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInstantSoundVolume'), // Engine.u (deusex)
    {0138}(Index: 00269; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInstantSpeechVolume'), // Engine.u (deusex)
    {0139}(Index: 00270; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInstantMusicVolume'), // Engine.u (deusex)
    {0140}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (deusex)
    {0141}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (deusex)
    {0142}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (deusex)
    {0143}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (deusex)
    {0144}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (deusex)
    {0145}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (deusex)
    {0146}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (deusex)
    {0147}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (deusex)
    {0148}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (deusex)
    {0149}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (deusex)
    {0150}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (deusex)
    {0151}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0152}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0153}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (deusex)
    {0154}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0155}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (deusex)
    {0156}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (deusex)
    {0157}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (deusex)
    {0158}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (deusex)
    {0159}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (deusex)
    {0160}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (deusex)
    {0161}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (deusex)
    {0162}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (deusex)
    {0163}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (deusex)
    {0164}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (deusex)
    {0165}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (deusex)
    {0166}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (deusex)
    {0167}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (deusex)
    {0168}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (deusex)
    {0169}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (deusex)
    {0170}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (deusex)
    {0171}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (deusex)
    {0172}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (deusex)
    {0173}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (deusex)
    {0174}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (deusex)
    {0175}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (deusex)
    {0176}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (deusex)
    {0177}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (deusex)
    {0178}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (deusex)
    {0179}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (deusex)
    {0180}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (deusex)
    {0181}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (deusex)
    {0182}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (deusex)
    {0183}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (deusex)
    {0184}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (deusex)
    {0185}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (deusex)
    {0186}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (deusex)
    {0187}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (deusex)
    {0188}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (deusex)
    {0189}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (deusex)
    {0190}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (deusex)
    {0191}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (deusex)
    {0192}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (deusex)
    {0193}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (deusex)
    {0194}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (deusex)
    {0195}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (deusex)
    {0196}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (deusex)
    {0197}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (deusex)
    {0198}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (deusex)
    {0199}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (deusex)
    {0200}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (deusex)
    {0201}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (deusex)
    {0202}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (deusex)
    {0203}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (deusex)
    {0204}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (deusex)
    {0205}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (deusex)
    {0206}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (deusex)
    {0207}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (deusex)
    {0208}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (deusex)
    {0209}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (deusex)
    {0210}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (deusex)
    {0211}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (deusex)
    {0212}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (deusex)
    {0213}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (deusex)
    {0214}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (deusex)
    {0215}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (deusex)
    {0216}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (deusex)
    {0217}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (deusex)
    {0218}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (deusex)
    {0219}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (deusex)
    {0220}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (deusex)
    {0221}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (deusex)
    {0222}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (deusex)
    {0223}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (deusex)
    {0224}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (deusex)
    {0225}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (deusex)
    {0226}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (deusex)
    {0227}(Index: 00548; Format: nffFunction; OperatorPrecedence: 000; Name: 'FastTrace'), // Engine.u (deusex)
    {0228}(Index: 00549; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (deusex)
    {0229}(Index: 00550; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (deusex)
    {0230}(Index: 00551; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (deusex)
    {0231}(Index: 00552; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (deusex)
    {0232}(Index: 00650; Format: nffFunction; OperatorPrecedence: 000; Name: 'InitEventManager'), // Engine.u (deusex)
    {0233}(Index: 00700; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIGetLightLevel'), // Engine.u (deusex)
    {0234}(Index: 00701; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIVisibility'), // Engine.u (deusex)
    {0235}(Index: 00705; Format: nffFunction; OperatorPrecedence: 000; Name: 'AICanSee'), // Engine.u (deusex)
    {0236}(Index: 00706; Format: nffFunction; OperatorPrecedence: 000; Name: 'AICanHear'), // Engine.u (deusex)
    {0237}(Index: 00707; Format: nffFunction; OperatorPrecedence: 000; Name: 'AICanSmell'), // Engine.u (deusex)
    {0238}(Index: 00708; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIDirectionReachable'), // Engine.u (deusex)
    {0239}(Index: 00709; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIPickRandomDestination'), // Engine.u (deusex)
    {0240}(Index: 00710; Format: nffFunction; OperatorPrecedence: 000; Name: 'AISetEventCallback'), // Engine.u (deusex)
    {0241}(Index: 00711; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIClearEventCallback'), // Engine.u (deusex)
    {0242}(Index: 00713; Format: nffFunction; OperatorPrecedence: 000; Name: 'AISendEvent'), // Engine.u (deusex)
    {0243}(Index: 00714; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIStartEvent'), // Engine.u (deusex)
    {0244}(Index: 00715; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIEndEvent'), // Engine.u (deusex)
    {0245}(Index: 00716; Format: nffFunction; OperatorPrecedence: 000; Name: 'AIClearEvent'), // Engine.u (deusex)
    {0246}(Index: 00717; Format: nffFunction; OperatorPrecedence: 000; Name: 'RandomBiasedRotation'), // Engine.u (deusex)
    {0247}(Index: 00718; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsOverlapping'), // Engine.u (deusex)
    {0248}(Index: 00720; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPlayerPawn'), // Engine.u (deusex)
    {0249}(Index: 00721; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStasis'), // Engine.u (deusex)
    {0250}(Index: 00722; Format: nffFunction; OperatorPrecedence: 000; Name: 'ParabolicTrace'), // Engine.u (deusex)
    {0251}(Index: 00723; Format: nffFunction; OperatorPrecedence: 000; Name: 'LastRendered'), // Engine.u (deusex)
    {0252}(Index: 00724; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetBoundingBox'), // Engine.u (deusex)
    {0253}(Index: 00751; Format: nffFunction; OperatorPrecedence: 000; Name: 'CriticalDelete'), // Core.u (deusex)
    {0254}(Index: 01000; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceTexture'), // Engine.u (deusex)
    {0255}(Index: 01001; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllObjects'), // Core.u (deusex)
    {0256}(Index: 01002; Format: nffFunction; OperatorPrecedence: 000; Name: 'CycleActors'), // Engine.u (deusex)
    {0257}(Index: 01003; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceVisibleActors'), // Engine.u (deusex)
    {0258}(Index: 01004; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReachablePathnodes'), // Engine.u (deusex)
    {0259}(Index: 01005; Format: nffFunction; OperatorPrecedence: 000; Name: 'clock'), // Core.u (deusex)
    {0260}(Index: 01006; Format: nffFunction; OperatorPrecedence: 000; Name: 'unclock'), // Core.u (deusex)
    {0261}(Index: 01007; Format: nffFunction; OperatorPrecedence: 000; Name: 'CyclesToSeconds'), // Core.u (deusex)
    {0262}(Index: 01010; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayBlendAnim'), // Engine.u (deusex)
    {0263}(Index: 01012; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenBlendAnim'), // Engine.u (deusex)
    {0264}(Index: 01013; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMeshTexture'), // Engine.u (deusex)
    {0265}(Index: 01020; Format: nffFunction; OperatorPrecedence: 000; Name: 'ComputePathnodeDistances'), // Engine.u (deusex)
    {0266}(Index: 01024; Format: nffFunction; OperatorPrecedence: 000; Name: 'StringToName'), // Extension.u (deusex)
    {0267}(Index: 01050; Format: nffFunction; OperatorPrecedence: 000; Name: 'PreRenderWindows'), // Extension.u (deusex)
    {0268}(Index: 01051; Format: nffFunction; OperatorPrecedence: 000; Name: 'PostRenderWindows'), // Extension.u (deusex)
    {0269}(Index: 01052; Format: nffFunction; OperatorPrecedence: 000; Name: 'InitRootWindow'), // Extension.u (deusex)
    {0270}(Index: 01099; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDeusExVersion'), // DeusEx.u (deusex)
    {0271}(Index: 01100; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBool'), // Extension.u (deusex)
    {0272}(Index: 01101; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetByte'), // Extension.u (deusex)
    {0273}(Index: 01102; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInt'), // Extension.u (deusex)
    {0274}(Index: 01103; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFloat'), // Extension.u (deusex)
    {0275}(Index: 01104; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetName'), // Extension.u (deusex)
    {0276}(Index: 01105; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetVector'), // Extension.u (deusex)
    {0277}(Index: 01106; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotator'), // Extension.u (deusex)
    {0278}(Index: 01110; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetBool'), // Extension.u (deusex)
    {0279}(Index: 01111; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetByte'), // Extension.u (deusex)
    {0280}(Index: 01112; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetInt'), // Extension.u (deusex)
    {0281}(Index: 01113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFloat'), // Extension.u (deusex)
    {0282}(Index: 01114; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetName'), // Extension.u (deusex)
    {0283}(Index: 01115; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetVector'), // Extension.u (deusex)
    {0284}(Index: 01116; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRotator'), // Extension.u (deusex)
    {0285}(Index: 01120; Format: nffFunction; OperatorPrecedence: 000; Name: 'CheckFlag'), // Extension.u (deusex)
    {0286}(Index: 01121; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteFlag'), // Extension.u (deusex)
    {0287}(Index: 01122; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetExpiration'), // Extension.u (deusex)
    {0288}(Index: 01123; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetExpiration'), // Extension.u (deusex)
    {0289}(Index: 01124; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteExpiredFlags'), // Extension.u (deusex)
    {0290}(Index: 01125; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultExpiration'), // Extension.u (deusex)
    {0291}(Index: 01126; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateIterator'), // Extension.u (deusex)
    {0292}(Index: 01127; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextFlagName'), // Extension.u (deusex)
    {0293}(Index: 01128; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextFlag'), // Extension.u (deusex)
    {0294}(Index: 01129; Format: nffFunction; OperatorPrecedence: 000; Name: 'DestroyIterator'), // Extension.u (deusex)
    {0295}(Index: 01130; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteAllFlags'), // Extension.u (deusex)
    {0296}(Index: 01140; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetText'), // Extension.u (deusex)
    {0297}(Index: 01141; Format: nffFunction; OperatorPrecedence: 000; Name: 'AppendText'), // Extension.u (deusex)
    {0298}(Index: 01142; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetText'), // Extension.u (deusex)
    {0299}(Index: 01143; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextLength'), // Extension.u (deusex)
    {0300}(Index: 01144; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextPart'), // Extension.u (deusex)
    {0301}(Index: 01145; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFirstTextPart'), // Extension.u (deusex)
    {0302}(Index: 01146; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextTextPart'), // Extension.u (deusex)
    {0303}(Index: 01200; Format: nffFunction; OperatorPrecedence: 000; Name: 'Intersect'), // Extension.u (deusex)
    {0304}(Index: 01210; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableSmoothing'), // Extension.u (deusex)
    {0305}(Index: 01211; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsSmoothingEnabled'), // Extension.u (deusex)
    {0306}(Index: 01212; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetStyle'), // Extension.u (deusex)
    {0307}(Index: 01213; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStyle'), // Extension.u (deusex)
    {0308}(Index: 01214; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableDrawing'), // Extension.u (deusex)
    {0309}(Index: 01215; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsDrawingEnabled'), // Extension.u (deusex)
    {0310}(Index: 01216; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableMasking'), // Extension.u (deusex)
    {0311}(Index: 01217; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsMaskingEnabled'), // Extension.u (deusex)
    {0312}(Index: 01218; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableTranslucency'), // Extension.u (deusex)
    {0313}(Index: 01219; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsTranslucencyEnabled'), // Extension.u (deusex)
    {0314}(Index: 01220; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableModulation'), // Extension.u (deusex)
    {0315}(Index: 01221; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsModulationEnabled'), // Extension.u (deusex)
    {0316}(Index: 01230; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTileColor'), // Extension.u (deusex)
    {0317}(Index: 01231; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTileColor'), // Extension.u (deusex)
    {0318}(Index: 01240; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextColor'), // Extension.u (deusex)
    {0319}(Index: 01241; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextColor'), // Extension.u (deusex)
    {0320}(Index: 01242; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFont'), // Extension.u (deusex)
    {0321}(Index: 01243; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetNormalFont'), // Extension.u (deusex)
    {0322}(Index: 01244; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBoldFont'), // Extension.u (deusex)
    {0323}(Index: 01245; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFonts'), // Extension.u (deusex)
    {0324}(Index: 01246; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFonts'), // Extension.u (deusex)
    {0325}(Index: 01247; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableTranslucentText'), // Extension.u (deusex)
    {0326}(Index: 01248; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsTranslucentTextEnabled'), // Extension.u (deusex)
    {0327}(Index: 01250; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextVSpacing'), // Extension.u (deusex)
    {0328}(Index: 01251; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextVSpacing'), // Extension.u (deusex)
    {0329}(Index: 01252; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHorizontalAlignment'), // Extension.u (deusex)
    {0330}(Index: 01253; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetHorizontalAlignment'), // Extension.u (deusex)
    {0331}(Index: 01254; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetVerticalAlignment'), // Extension.u (deusex)
    {0332}(Index: 01255; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetVerticalAlignment'), // Extension.u (deusex)
    {0333}(Index: 01256; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetAlignments'), // Extension.u (deusex)
    {0334}(Index: 01257; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAlignments'), // Extension.u (deusex)
    {0335}(Index: 01258; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableWordWrap'), // Extension.u (deusex)
    {0336}(Index: 01259; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsWordWrapEnabled'), // Extension.u (deusex)
    {0337}(Index: 01260; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableSpecialText'), // Extension.u (deusex)
    {0338}(Index: 01261; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsSpecialTextEnabled'), // Extension.u (deusex)
    {0339}(Index: 01262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBaselineData'), // Extension.u (deusex)
    {0340}(Index: 01270; Format: nffFunction; OperatorPrecedence: 000; Name: 'CopyGC'), // Extension.u (deusex)
    {0341}(Index: 01271; Format: nffFunction; OperatorPrecedence: 000; Name: 'PushGC'), // Extension.u (deusex)
    {0342}(Index: 01272; Format: nffFunction; OperatorPrecedence: 000; Name: 'PopGC'), // Extension.u (deusex)
    {0343}(Index: 01280; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextExtent'), // Extension.u (deusex)
    {0344}(Index: 01281; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFontHeight'), // Extension.u (deusex)
    {0345}(Index: 01282; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Extension.u (deusex)
    {0346}(Index: 01283; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawIcon'), // Extension.u (deusex)
    {0347}(Index: 01284; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTexture'), // Extension.u (deusex)
    {0348}(Index: 01285; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPattern'), // Extension.u (deusex)
    {0349}(Index: 01286; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawBox'), // Extension.u (deusex)
    {0350}(Index: 01287; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawStretchedTexture'), // Extension.u (deusex)
    {0351}(Index: 01288; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Extension.u (deusex)
    {0352}(Index: 01289; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawBorders'), // Extension.u (deusex)
    {0353}(Index: 01295; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearZ'), // Extension.u (deusex)
    {0354}(Index: 01409; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Extension.u (deusex)
    {0355}(Index: 01410; Format: nffFunction; OperatorPrecedence: 000; Name: 'NewChild'), // Extension.u (deusex)
    {0356}(Index: 01411; Format: nffFunction; OperatorPrecedence: 000; Name: 'Raise'), // Extension.u (deusex)
    {0357}(Index: 01412; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lower'), // Extension.u (deusex)
    {0358}(Index: 01413; Format: nffFunction; OperatorPrecedence: 000; Name: 'Show'), // Extension.u (deusex)
    {0359}(Index: 01414; Format: nffFunction; OperatorPrecedence: 000; Name: 'Hide'), // Extension.u (deusex)
    {0360}(Index: 01415; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsVisible'), // Extension.u (deusex)
    {0361}(Index: 01416; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSensitivity'), // Extension.u (deusex)
    {0362}(Index: 01417; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableWindow'), // Extension.u (deusex)
    {0363}(Index: 01418; Format: nffFunction; OperatorPrecedence: 000; Name: 'DisableWindow'), // Extension.u (deusex)
    {0364}(Index: 01419; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsSensitive'), // Extension.u (deusex)
    {0365}(Index: 01420; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSelectability'), // Extension.u (deusex)
    {0366}(Index: 01421; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBackground'), // Extension.u (deusex)
    {0367}(Index: 01422; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBackgroundStyle'), // Extension.u (deusex)
    {0368}(Index: 01423; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBackgroundSmoothing'), // Extension.u (deusex)
    {0369}(Index: 01424; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBackgroundStretching'), // Extension.u (deusex)
    {0370}(Index: 01425; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRootWindow'), // Extension.u (deusex)
    {0371}(Index: 01426; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetModalWindow'), // Extension.u (deusex)
    {0372}(Index: 01427; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTabGroupWindow'), // Extension.u (deusex)
    {0373}(Index: 01428; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetParent'), // Extension.u (deusex)
    {0374}(Index: 01429; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPlayerPawn'), // Extension.u (deusex)
    {0375}(Index: 01430; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetConfiguration'), // Extension.u (deusex)
    {0376}(Index: 01431; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSize'), // Extension.u (deusex)
    {0377}(Index: 01432; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPos'), // Extension.u (deusex)
    {0378}(Index: 01433; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetWidth'), // Extension.u (deusex)
    {0379}(Index: 01434; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHeight'), // Extension.u (deusex)
    {0380}(Index: 01435; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetSize'), // Extension.u (deusex)
    {0381}(Index: 01436; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetWidth'), // Extension.u (deusex)
    {0382}(Index: 01437; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetHeight'), // Extension.u (deusex)
    {0383}(Index: 01438; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetWindowAlignments'), // Extension.u (deusex)
    {0384}(Index: 01439; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetAcceleratorText'), // Extension.u (deusex)
    {0385}(Index: 01440; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusWindow'), // Extension.u (deusex)
    {0386}(Index: 01441; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFocusWindow'), // Extension.u (deusex)
    {0387}(Index: 01442; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveFocusLeft'), // Extension.u (deusex)
    {0388}(Index: 01443; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveFocusRight'), // Extension.u (deusex)
    {0389}(Index: 01444; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveFocusUp'), // Extension.u (deusex)
    {0390}(Index: 01445; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveFocusDown'), // Extension.u (deusex)
    {0391}(Index: 01446; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTabGroupNext'), // Extension.u (deusex)
    {0392}(Index: 01447; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTabGroupPrev'), // Extension.u (deusex)
    {0393}(Index: 01448; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsFocusWindow'), // Extension.u (deusex)
    {0394}(Index: 01449; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConvertCoordinates'), // Extension.u (deusex)
    {0395}(Index: 01450; Format: nffFunction; OperatorPrecedence: 000; Name: 'GrabMouse'), // Extension.u (deusex)
    {0396}(Index: 01451; Format: nffFunction; OperatorPrecedence: 000; Name: 'UngrabMouse'), // Extension.u (deusex)
    {0397}(Index: 01452; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetCursorPos'), // Extension.u (deusex)
    {0398}(Index: 01453; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCursorPos'), // Extension.u (deusex)
    {0399}(Index: 01454; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultCursor'), // Extension.u (deusex)
    {0400}(Index: 01455; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTopChild'), // Extension.u (deusex)
    {0401}(Index: 01456; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetBottomChild'), // Extension.u (deusex)
    {0402}(Index: 01457; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetHigherSibling'), // Extension.u (deusex)
    {0403}(Index: 01458; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetLowerSibling'), // Extension.u (deusex)
    {0404}(Index: 01459; Format: nffFunction; OperatorPrecedence: 000; Name: 'DestroyAllChildren'), // Extension.u (deusex)
    {0405}(Index: 01460; Format: nffFunction; OperatorPrecedence: 000; Name: 'AskParentForReconfigure'), // Extension.u (deusex)
    {0406}(Index: 01461; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConfigureChild'), // Extension.u (deusex)
    {0407}(Index: 01462; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResizeChild'), // Extension.u (deusex)
    {0408}(Index: 01463; Format: nffFunction; OperatorPrecedence: 000; Name: 'QueryPreferredWidth'), // Extension.u (deusex)
    {0409}(Index: 01464; Format: nffFunction; OperatorPrecedence: 000; Name: 'QueryPreferredHeight'), // Extension.u (deusex)
    {0410}(Index: 01465; Format: nffFunction; OperatorPrecedence: 000; Name: 'QueryPreferredSize'), // Extension.u (deusex)
    {0411}(Index: 01466; Format: nffFunction; OperatorPrecedence: 000; Name: 'QueryGranularity'), // Extension.u (deusex)
    {0412}(Index: 01467; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetChildVisibility'), // Extension.u (deusex)
    {0413}(Index: 01468; Format: nffFunction; OperatorPrecedence: 000; Name: 'AskParentToShowArea'), // Extension.u (deusex)
    {0414}(Index: 01469; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConvertScriptString'), // Extension.u (deusex)
    {0415}(Index: 01470; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsKeyDown'), // Extension.u (deusex)
    {0416}(Index: 01471; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsPointInWindow'), // Extension.u (deusex)
    {0417}(Index: 01472; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindWindow'), // Extension.u (deusex)
    {0418}(Index: 01473; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Extension.u (deusex)
    {0419}(Index: 01474; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSoundVolume'), // Extension.u (deusex)
    {0420}(Index: 01475; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTileColor'), // Extension.u (deusex)
    {0421}(Index: 01476; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextColor'), // Extension.u (deusex)
    {0422}(Index: 01477; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFont'), // Extension.u (deusex)
    {0423}(Index: 01478; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFonts'), // Extension.u (deusex)
    {0424}(Index: 01479; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetNormalFont'), // Extension.u (deusex)
    {0425}(Index: 01480; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBoldFont'), // Extension.u (deusex)
    {0426}(Index: 01481; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableSpecialText'), // Extension.u (deusex)
    {0427}(Index: 01482; Format: nffFunction; OperatorPrecedence: 000; Name: 'CarriageReturn'), // Extension.u (deusex)
    {0428}(Index: 01483; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableTranslucentText'), // Extension.u (deusex)
    {0429}(Index: 01484; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBaselineData'), // Extension.u (deusex)
    {0430}(Index: 01485; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetGC'), // Extension.u (deusex)
    {0431}(Index: 01486; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReleaseGC'), // Extension.u (deusex)
    {0432}(Index: 01487; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetClientObject'), // Extension.u (deusex)
    {0433}(Index: 01488; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetClientObject'), // Extension.u (deusex)
    {0434}(Index: 01489; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConvertVectorToCoordinates'), // Extension.u (deusex)
    {0435}(Index: 01490; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddTimer'), // Extension.u (deusex)
    {0436}(Index: 01491; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveTimer'), // Extension.u (deusex)
    {0437}(Index: 01492; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTickOffset'), // Extension.u (deusex)
    {0438}(Index: 01493; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChangeStyle'), // Extension.u (deusex)
    {0439}(Index: 01495; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusSounds'), // Extension.u (deusex)
    {0440}(Index: 01496; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetVisibilitySounds'), // Extension.u (deusex)
    {0441}(Index: 01497; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddActorRef'), // Extension.u (deusex)
    {0442}(Index: 01498; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveActorRef'), // Extension.u (deusex)
    {0443}(Index: 01499; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsActorValid'), // Extension.u (deusex)
    {0444}(Index: 01500; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMouseFocusMode'), // Extension.u (deusex)
    {0445}(Index: 01501; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsCurrentModal'), // Extension.u (deusex)
    {0446}(Index: 01510; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultEditCursor'), // Extension.u (deusex)
    {0447}(Index: 01511; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultMovementCursors'), // Extension.u (deusex)
    {0448}(Index: 01512; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableRendering'), // Extension.u (deusex)
    {0449}(Index: 01513; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsRenderingEnabled'), // Extension.u (deusex)
    {0450}(Index: 01514; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRenderViewport'), // Extension.u (deusex)
    {0451}(Index: 01515; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetRenderViewport'), // Extension.u (deusex)
    {0452}(Index: 01516; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRawBackground'), // Extension.u (deusex)
    {0453}(Index: 01517; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRawBackgroundSize'), // Extension.u (deusex)
    {0454}(Index: 01518; Format: nffFunction; OperatorPrecedence: 000; Name: 'StretchRawBackground'), // Extension.u (deusex)
    {0455}(Index: 01519; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnablePositionalSound'), // Extension.u (deusex)
    {0456}(Index: 01520; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsPositionalSoundEnabled'), // Extension.u (deusex)
    {0457}(Index: 01521; Format: nffFunction; OperatorPrecedence: 000; Name: 'LockMouse'), // Extension.u (deusex)
    {0458}(Index: 01522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowCursor'), // Extension.u (deusex)
    {0459}(Index: 01523; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSnapshotSize'), // Extension.u (deusex)
    {0460}(Index: 01524; Format: nffFunction; OperatorPrecedence: 000; Name: 'GenerateSnapshot'), // Extension.u (deusex)
    {0461}(Index: 01530; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBorders'), // Extension.u (deusex)
    {0462}(Index: 01531; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBorderMargins'), // Extension.u (deusex)
    {0463}(Index: 01532; Format: nffFunction; OperatorPrecedence: 000; Name: 'BaseMarginsFromBorder'), // Extension.u (deusex)
    {0464}(Index: 01533; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableResizing'), // Extension.u (deusex)
    {0465}(Index: 01534; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMoveCursors'), // Extension.u (deusex)
    {0466}(Index: 01535; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMargins'), // Extension.u (deusex)
    {0467}(Index: 01536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOrientation'), // Extension.u (deusex)
    {0468}(Index: 01537; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDirections'), // Extension.u (deusex)
    {0469}(Index: 01538; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOrder'), // Extension.u (deusex)
    {0470}(Index: 01539; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMinorSpacing'), // Extension.u (deusex)
    {0471}(Index: 01540; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMajorSpacing'), // Extension.u (deusex)
    {0472}(Index: 01541; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetChildAlignments'), // Extension.u (deusex)
    {0473}(Index: 01542; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableWrapping'), // Extension.u (deusex)
    {0474}(Index: 01543; Format: nffFunction; OperatorPrecedence: 000; Name: 'FillParent'), // Extension.u (deusex)
    {0475}(Index: 01544; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeWidthsEqual'), // Extension.u (deusex)
    {0476}(Index: 01545; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeHeightsEqual'), // Extension.u (deusex)
    {0477}(Index: 01550; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetText'), // Extension.u (deusex)
    {0478}(Index: 01551; Format: nffFunction; OperatorPrecedence: 000; Name: 'AppendText'), // Extension.u (deusex)
    {0479}(Index: 01552; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetText'), // Extension.u (deusex)
    {0480}(Index: 01553; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextLength'), // Extension.u (deusex)
    {0481}(Index: 01554; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTextPart'), // Extension.u (deusex)
    {0482}(Index: 01555; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetWordWrap'), // Extension.u (deusex)
    {0483}(Index: 01556; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextAlignments'), // Extension.u (deusex)
    {0484}(Index: 01557; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextMargins'), // Extension.u (deusex)
    {0485}(Index: 01558; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLines'), // Extension.u (deusex)
    {0486}(Index: 01559; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMinLines'), // Extension.u (deusex)
    {0487}(Index: 01560; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMaxLines'), // Extension.u (deusex)
    {0488}(Index: 01561; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetLines'), // Extension.u (deusex)
    {0489}(Index: 01562; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMinWidth'), // Extension.u (deusex)
    {0490}(Index: 01563; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetMinWidth'), // Extension.u (deusex)
    {0491}(Index: 01564; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableTextAsAccelerator'), // Extension.u (deusex)
    {0492}(Index: 01570; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddLog'), // Extension.u (deusex)
    {0493}(Index: 01571; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearLog'), // Extension.u (deusex)
    {0494}(Index: 01572; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextTimeout'), // Extension.u (deusex)
    {0495}(Index: 01573; Format: nffFunction; OperatorPrecedence: 000; Name: 'PauseLog'), // Extension.u (deusex)
    {0496}(Index: 01590; Format: nffFunction; OperatorPrecedence: 000; Name: 'ActivateButton'), // Extension.u (deusex)
    {0497}(Index: 01591; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetActivateDelay'), // Extension.u (deusex)
    {0498}(Index: 01592; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetButtonTextures'), // Extension.u (deusex)
    {0499}(Index: 01593; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetButtonColors'), // Extension.u (deusex)
    {0500}(Index: 01594; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextColors'), // Extension.u (deusex)
    {0501}(Index: 01595; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableAutoRepeat'), // Extension.u (deusex)
    {0502}(Index: 01596; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableRightMouseClick'), // Extension.u (deusex)
    {0503}(Index: 01597; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetButtonSounds'), // Extension.u (deusex)
    {0504}(Index: 01598; Format: nffFunction; OperatorPrecedence: 000; Name: 'PressButton'), // Extension.u (deusex)
    {0505}(Index: 01610; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChangeToggle'), // Extension.u (deusex)
    {0506}(Index: 01611; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetToggle'), // Extension.u (deusex)
    {0507}(Index: 01612; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetToggle'), // Extension.u (deusex)
    {0508}(Index: 01613; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetToggleSounds'), // Extension.u (deusex)
    {0509}(Index: 01620; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleOrientation'), // Extension.u (deusex)
    {0510}(Index: 01621; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleTexture'), // Extension.u (deusex)
    {0511}(Index: 01622; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbTexture'), // Extension.u (deusex)
    {0512}(Index: 01623; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTickTexture'), // Extension.u (deusex)
    {0513}(Index: 01624; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbCaps'), // Extension.u (deusex)
    {0514}(Index: 01625; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableStretchedScale'), // Extension.u (deusex)
    {0515}(Index: 01626; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBorderPattern'), // Extension.u (deusex)
    {0516}(Index: 01627; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleBorder'), // Extension.u (deusex)
    {0517}(Index: 01628; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbBorder'), // Extension.u (deusex)
    {0518}(Index: 01629; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleStyle'), // Extension.u (deusex)
    {0519}(Index: 01630; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbStyle'), // Extension.u (deusex)
    {0520}(Index: 01631; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTickStyle'), // Extension.u (deusex)
    {0521}(Index: 01632; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleColor'), // Extension.u (deusex)
    {0522}(Index: 01633; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbColor'), // Extension.u (deusex)
    {0523}(Index: 01634; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTickColor'), // Extension.u (deusex)
    {0524}(Index: 01635; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleMargins'), // Extension.u (deusex)
    {0525}(Index: 01636; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetNumTicks'), // Extension.u (deusex)
    {0526}(Index: 01637; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNumTicks'), // Extension.u (deusex)
    {0527}(Index: 01638; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbSpan'), // Extension.u (deusex)
    {0528}(Index: 01639; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetThumbSpan'), // Extension.u (deusex)
    {0529}(Index: 01640; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTickPosition'), // Extension.u (deusex)
    {0530}(Index: 01641; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTickPosition'), // Extension.u (deusex)
    {0531}(Index: 01642; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetValueRange'), // Extension.u (deusex)
    {0532}(Index: 01643; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetValue'), // Extension.u (deusex)
    {0533}(Index: 01644; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetValue'), // Extension.u (deusex)
    {0534}(Index: 01645; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetValues'), // Extension.u (deusex)
    {0535}(Index: 01646; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetValueFormat'), // Extension.u (deusex)
    {0536}(Index: 01647; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetValueString'), // Extension.u (deusex)
    {0537}(Index: 01648; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetEnumeration'), // Extension.u (deusex)
    {0538}(Index: 01649; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearAllEnumerations'), // Extension.u (deusex)
    {0539}(Index: 01650; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveThumb'), // Extension.u (deusex)
    {0540}(Index: 01651; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThumbStep'), // Extension.u (deusex)
    {0541}(Index: 01652; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleSounds'), // Extension.u (deusex)
    {0542}(Index: 01653; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayScaleSound'), // Extension.u (deusex)
    {0543}(Index: 01660; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScaleButtons'), // Extension.u (deusex)
    {0544}(Index: 01661; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetValueField'), // Extension.u (deusex)
    {0545}(Index: 01662; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScale'), // Extension.u (deusex)
    {0546}(Index: 01663; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetManagerOrientation'), // Extension.u (deusex)
    {0547}(Index: 01664; Format: nffFunction; OperatorPrecedence: 000; Name: 'StretchScaleField'), // Extension.u (deusex)
    {0548}(Index: 01665; Format: nffFunction; OperatorPrecedence: 000; Name: 'StretchValueField'), // Extension.u (deusex)
    {0549}(Index: 01666; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetManagerMargins'), // Extension.u (deusex)
    {0550}(Index: 01667; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMarginSpacing'), // Extension.u (deusex)
    {0551}(Index: 01668; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetManagerAlignments'), // Extension.u (deusex)
    {0552}(Index: 01680; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetChildPosition'), // Extension.u (deusex)
    {0553}(Index: 01681; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetChildPosition'), // Extension.u (deusex)
    {0554}(Index: 01682; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetUnitSize'), // Extension.u (deusex)
    {0555}(Index: 01683; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetUnitWidth'), // Extension.u (deusex)
    {0556}(Index: 01684; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetUnitHeight'), // Extension.u (deusex)
    {0557}(Index: 01685; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetUnitSize'), // Extension.u (deusex)
    {0558}(Index: 01686; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetUnitWidth'), // Extension.u (deusex)
    {0559}(Index: 01687; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetUnitHeight'), // Extension.u (deusex)
    {0560}(Index: 01688; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnitSize'), // Extension.u (deusex)
    {0561}(Index: 01689; Format: nffFunction; OperatorPrecedence: 000; Name: 'ForceChildSize'), // Extension.u (deusex)
    {0562}(Index: 01690; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableSnapToUnits'), // Extension.u (deusex)
    {0563}(Index: 01691; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetChild'), // Extension.u (deusex)
    {0564}(Index: 01700; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableScrolling'), // Extension.u (deusex)
    {0565}(Index: 01701; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetScrollbarDistance'), // Extension.u (deusex)
    {0566}(Index: 01702; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetAreaMargins'), // Extension.u (deusex)
    {0567}(Index: 01703; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutoHideScrollbars'), // Extension.u (deusex)
    {0568}(Index: 01720; Format: nffFunction; OperatorPrecedence: 000; Name: 'IndexToRowId'), // Extension.u (deusex)
    {0569}(Index: 01721; Format: nffFunction; OperatorPrecedence: 000; Name: 'RowIdToIndex'), // Extension.u (deusex)
    {0570}(Index: 01722; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRowClientInt'), // Extension.u (deusex)
    {0571}(Index: 01723; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRowClientInt'), // Extension.u (deusex)
    {0572}(Index: 01724; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRowClientObject'), // Extension.u (deusex)
    {0573}(Index: 01725; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRowClientObject'), // Extension.u (deusex)
    {0574}(Index: 01730; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddRow'), // Extension.u (deusex)
    {0575}(Index: 01731; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteRow'), // Extension.u (deusex)
    {0576}(Index: 01732; Format: nffFunction; OperatorPrecedence: 000; Name: 'ModifyRow'), // Extension.u (deusex)
    {0577}(Index: 01733; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteAllRows'), // Extension.u (deusex)
    {0578}(Index: 01734; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetField'), // Extension.u (deusex)
    {0579}(Index: 01735; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetField'), // Extension.u (deusex)
    {0580}(Index: 01736; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFieldValue'), // Extension.u (deusex)
    {0581}(Index: 01737; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFieldValue'), // Extension.u (deusex)
    {0582}(Index: 01740; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNumRows'), // Extension.u (deusex)
    {0583}(Index: 01741; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNumSelectedRows'), // Extension.u (deusex)
    {0584}(Index: 01742; Format: nffFunction; OperatorPrecedence: 000; Name: 'SelectRow'), // Extension.u (deusex)
    {0585}(Index: 01743; Format: nffFunction; OperatorPrecedence: 000; Name: 'SelectAllRows'), // Extension.u (deusex)
    {0586}(Index: 01744; Format: nffFunction; OperatorPrecedence: 000; Name: 'SelectToRow'), // Extension.u (deusex)
    {0587}(Index: 01745; Format: nffFunction; OperatorPrecedence: 000; Name: 'ToggleRowSelection'), // Extension.u (deusex)
    {0588}(Index: 01746; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsRowSelected'), // Extension.u (deusex)
    {0589}(Index: 01747; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSelectedRow'), // Extension.u (deusex)
    {0590}(Index: 01750; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveRow'), // Extension.u (deusex)
    {0591}(Index: 01751; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRow'), // Extension.u (deusex)
    {0592}(Index: 01755; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusRow'), // Extension.u (deusex)
    {0593}(Index: 01756; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFocusRow'), // Extension.u (deusex)
    {0594}(Index: 01760; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetNumColumns'), // Extension.u (deusex)
    {0595}(Index: 01761; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNumColumns'), // Extension.u (deusex)
    {0596}(Index: 01762; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResizeColumns'), // Extension.u (deusex)
    {0597}(Index: 01765; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnTitle'), // Extension.u (deusex)
    {0598}(Index: 01766; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnTitle'), // Extension.u (deusex)
    {0599}(Index: 01767; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnWidth'), // Extension.u (deusex)
    {0600}(Index: 01768; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnWidth'), // Extension.u (deusex)
    {0601}(Index: 01769; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnAlignment'), // Extension.u (deusex)
    {0602}(Index: 01770; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnAlignment'), // Extension.u (deusex)
    {0603}(Index: 01771; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnColor'), // Extension.u (deusex)
    {0604}(Index: 01772; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnColor'), // Extension.u (deusex)
    {0605}(Index: 01773; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnFont'), // Extension.u (deusex)
    {0606}(Index: 01774; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnFont'), // Extension.u (deusex)
    {0607}(Index: 01775; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetColumnType'), // Extension.u (deusex)
    {0608}(Index: 01776; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColumnType'), // Extension.u (deusex)
    {0609}(Index: 01777; Format: nffFunction; OperatorPrecedence: 000; Name: 'HideColumn'), // Extension.u (deusex)
    {0610}(Index: 01778; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsColumnHidden'), // Extension.u (deusex)
    {0611}(Index: 01780; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSortColumn'), // Extension.u (deusex)
    {0612}(Index: 01781; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddSortColumn'), // Extension.u (deusex)
    {0613}(Index: 01782; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveSortColumn'), // Extension.u (deusex)
    {0614}(Index: 01783; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetSortColumns'), // Extension.u (deusex)
    {0615}(Index: 01784; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sort'), // Extension.u (deusex)
    {0616}(Index: 01785; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableHotKeys'), // Extension.u (deusex)
    {0617}(Index: 01786; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHotKeyColumn'), // Extension.u (deusex)
    {0618}(Index: 01790; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableAutoSort'), // Extension.u (deusex)
    {0619}(Index: 01791; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAutoSortEnabled'), // Extension.u (deusex)
    {0620}(Index: 01792; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableAutoExpandColumns'), // Extension.u (deusex)
    {0621}(Index: 01793; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAutoExpandColumnsEnabled'), // Extension.u (deusex)
    {0622}(Index: 01794; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableMultiSelect'), // Extension.u (deusex)
    {0623}(Index: 01795; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsMultiSelectEnabled'), // Extension.u (deusex)
    {0624}(Index: 01800; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFieldMargins'), // Extension.u (deusex)
    {0625}(Index: 01801; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFieldMargins'), // Extension.u (deusex)
    {0626}(Index: 01802; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPageSize'), // Extension.u (deusex)
    {0627}(Index: 01803; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDelimiter'), // Extension.u (deusex)
    {0628}(Index: 01804; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHighlightTextColor'), // Extension.u (deusex)
    {0629}(Index: 01805; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHighlightTexture'), // Extension.u (deusex)
    {0630}(Index: 01806; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetHighlightColor'), // Extension.u (deusex)
    {0631}(Index: 01807; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusTexture'), // Extension.u (deusex)
    {0632}(Index: 01808; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusColor'), // Extension.u (deusex)
    {0633}(Index: 01809; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFocusThickness'), // Extension.u (deusex)
    {0634}(Index: 01810; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowFocusRow'), // Extension.u (deusex)
    {0635}(Index: 01811; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetListSounds'), // Extension.u (deusex)
    {0636}(Index: 01812; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayListSound'), // Extension.u (deusex)
    {0637}(Index: 01820; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetEnabledToggle'), // Extension.u (deusex)
    {0638}(Index: 01840; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCheckboxTextures'), // Extension.u (deusex)
    {0639}(Index: 01841; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCheckboxSpacing'), // Extension.u (deusex)
    {0640}(Index: 01842; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowCheckboxOnRightSide'), // Extension.u (deusex)
    {0641}(Index: 01843; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCheckboxStyle'), // Extension.u (deusex)
    {0642}(Index: 01844; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCheckboxColor'), // Extension.u (deusex)
    {0643}(Index: 01860; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetVerticalSpacing'), // Extension.u (deusex)
    {0644}(Index: 01880; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveInsertionPoint'), // Extension.u (deusex)
    {0645}(Index: 01881; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInsertionPoint'), // Extension.u (deusex)
    {0646}(Index: 01882; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetInsertionPoint'), // Extension.u (deusex)
    {0647}(Index: 01883; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSelectedArea'), // Extension.u (deusex)
    {0648}(Index: 01884; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSelectedArea'), // Extension.u (deusex)
    {0649}(Index: 01885; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableEditing'), // Extension.u (deusex)
    {0650}(Index: 01886; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsEditingEnabled'), // Extension.u (deusex)
    {0651}(Index: 01887; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableSingleLineEditing'), // Extension.u (deusex)
    {0652}(Index: 01888; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsSingleLineEditingEnabled'), // Extension.u (deusex)
    {0653}(Index: 01889; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableUppercaseOnly'), // Extension.u (deusex)
    {0654}(Index: 01890; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearTextChangedFlag'), // Extension.u (deusex)
    {0655}(Index: 01891; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextChangedFlag'), // Extension.u (deusex)
    {0656}(Index: 01892; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasTextChanged'), // Extension.u (deusex)
    {0657}(Index: 01895; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMaxSize'), // Extension.u (deusex)
    {0658}(Index: 01896; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetMaxUndos'), // Extension.u (deusex)
    {0659}(Index: 01900; Format: nffFunction; OperatorPrecedence: 000; Name: 'InsertText'), // Extension.u (deusex)
    {0660}(Index: 01901; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteChar'), // Extension.u (deusex)
    {0661}(Index: 01902; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInsertionPointBlinkRate'), // Extension.u (deusex)
    {0662}(Index: 01905; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInsertionPointTexture'), // Extension.u (deusex)
    {0663}(Index: 01906; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetInsertionPointType'), // Extension.u (deusex)
    {0664}(Index: 01907; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSelectedAreaTexture'), // Extension.u (deusex)
    {0665}(Index: 01908; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSelectedAreaTextColor'), // Extension.u (deusex)
    {0666}(Index: 01909; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetEditCursor'), // Extension.u (deusex)
    {0667}(Index: 01910; Format: nffFunction; OperatorPrecedence: 000; Name: 'Undo'), // Extension.u (deusex)
    {0668}(Index: 01911; Format: nffFunction; OperatorPrecedence: 000; Name: 'Redo'), // Extension.u (deusex)
    {0669}(Index: 01912; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearUndo'), // Extension.u (deusex)
    {0670}(Index: 01915; Format: nffFunction; OperatorPrecedence: 000; Name: 'Copy'), // Extension.u (deusex)
    {0671}(Index: 01916; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cut'), // Extension.u (deusex)
    {0672}(Index: 01917; Format: nffFunction; OperatorPrecedence: 000; Name: 'Paste'), // Extension.u (deusex)
    {0673}(Index: 01920; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetEditSounds'), // Extension.u (deusex)
    {0674}(Index: 01921; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayEditSound'), // Extension.u (deusex)
    {0675}(Index: 01940; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetViewportActor'), // Extension.u (deusex)
    {0676}(Index: 01941; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetViewportLocation'), // Extension.u (deusex)
    {0677}(Index: 01942; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetWatchActor'), // Extension.u (deusex)
    {0678}(Index: 01943; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Extension.u (deusex)
    {0679}(Index: 01945; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableViewport'), // Extension.u (deusex)
    {0680}(Index: 01946; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFOVAngle'), // Extension.u (deusex)
    {0681}(Index: 01947; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowViewportActor'), // Extension.u (deusex)
    {0682}(Index: 01948; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowWeapons'), // Extension.u (deusex)
    {0683}(Index: 01950; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRelativeLocation'), // Extension.u (deusex)
    {0684}(Index: 01951; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRelativeRotation'), // Extension.u (deusex)
    {0685}(Index: 01955; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDefaultTexture'), // Extension.u (deusex)
    {0686}(Index: 01956; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearZBuffer'), // Extension.u (deusex)
    {0687}(Index: 01970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBackgroundTextures'), // Extension.u (deusex)
    {0688}(Index: 01971; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextSize'), // Extension.u (deusex)
    {0689}(Index: 01972; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextWindowPosition'), // Extension.u (deusex)
    {0690}(Index: 01973; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextFont'), // Extension.u (deusex)
    {0691}(Index: 01974; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFontColor'), // Extension.u (deusex)
    {0692}(Index: 01975; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextTiming'), // Extension.u (deusex)
    {0693}(Index: 01976; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetFadeSpeed'), // Extension.u (deusex)
    {0694}(Index: 01977; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCursorTexture'), // Extension.u (deusex)
    {0695}(Index: 01978; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCursorColor'), // Extension.u (deusex)
    {0696}(Index: 01979; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCursorBlinkSpeed'), // Extension.u (deusex)
    {0697}(Index: 01980; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShowTextCursor'), // Extension.u (deusex)
    {0698}(Index: 01981; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextSound'), // Extension.u (deusex)
    {0699}(Index: 01982; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTypingSound'), // Extension.u (deusex)
    {0700}(Index: 01983; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetComputerSoundVolume'), // Extension.u (deusex)
    {0701}(Index: 01984; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTypingSoundVolume'), // Extension.u (deusex)
    {0702}(Index: 01985; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearScreen'), // Extension.u (deusex)
    {0703}(Index: 01986; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearLine'), // Extension.u (deusex)
    {0704}(Index: 01987; Format: nffFunction; OperatorPrecedence: 000; Name: 'Print'), // Extension.u (deusex)
    {0705}(Index: 01988; Format: nffFunction; OperatorPrecedence: 000; Name: 'PrintLn'), // Extension.u (deusex)
    {0706}(Index: 01989; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetInput'), // Extension.u (deusex)
    {0707}(Index: 01990; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetChar'), // Extension.u (deusex)
    {0708}(Index: 01991; Format: nffFunction; OperatorPrecedence: 000; Name: 'PrintGraphic'), // Extension.u (deusex)
    {0709}(Index: 01992; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySoundLater'), // Extension.u (deusex)
    {0710}(Index: 01993; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTextPosition'), // Extension.u (deusex)
    {0711}(Index: 01994; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsBufferFlushed'), // Extension.u (deusex)
    {0712}(Index: 01995; Format: nffFunction; OperatorPrecedence: 000; Name: 'Pause'), // Extension.u (deusex)
    {0713}(Index: 01996; Format: nffFunction; OperatorPrecedence: 000; Name: 'Resume'), // Extension.u (deusex)
    {0714}(Index: 01997; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsPaused'), // Extension.u (deusex)
    {0715}(Index: 01998; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetThrottle'), // Extension.u (deusex)
    {0716}(Index: 01999; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetThrottle'), // Extension.u (deusex)
    {0717}(Index: 02000; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetThrottle'), // Extension.u (deusex)
    {0718}(Index: 02001; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableWordWrap'), // Extension.u (deusex)
    {0719}(Index: 02002; Format: nffFunction; OperatorPrecedence: 000; Name: 'FadeOutText'), // Extension.u (deusex)
    {0720}(Index: 02050; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateFlagRef'), // ConSys.u (deusex)
    {0721}(Index: 02051; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateConCamera'), // ConSys.u (deusex)
    {0722}(Index: 02052; Format: nffFunction; OperatorPrecedence: 000; Name: 'BindEvents'), // ConSys.u (deusex)
    {0723}(Index: 02053; Format: nffFunction; OperatorPrecedence: 000; Name: 'BindActorEvents'), // ConSys.u (deusex)
    {0724}(Index: 02054; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearBindEvents'), // ConSys.u (deusex)
    {0725}(Index: 02054; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSoundLength'), // ConSys.u (deusex) ; Repeated index!!!
    {0726}(Index: 02055; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSpeechAudio'), // ConSys.u (deusex)
    {0727}(Index: 02056; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSpeechLength'), // ConSys.u (deusex)
    {0728}(Index: 02060; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetLabelCount'), // ConSys.u (deusex)
    {0729}(Index: 02061; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetLabel'), // ConSys.u (deusex)
    {0730}(Index: 02062; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRandomLabel'), // ConSys.u (deusex)
    {0731}(Index: 02100; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConBindEvents'), // DeusEx.u (deusex)
    {0732}(Index: 02101; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConBindEvents'), // DeusEx.u (deusex)
    {0733}(Index: 02102; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConBindEvents'), // DeusEx.u (deusex)
    {0734}(Index: 02105; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsValidEnemy'), // DeusEx.u (deusex)
    {0735}(Index: 02106; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAllianceType'), // DeusEx.u (deusex)
    {0736}(Index: 02107; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPawnAllianceType'), // DeusEx.u (deusex)
    {0737}(Index: 02108; Format: nffFunction; OperatorPrecedence: 000; Name: 'HaveSeenCarcass'), // DeusEx.u (deusex)
    {0738}(Index: 02109; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddCarcass'), // DeusEx.u (deusex)
    {0739}(Index: 02210; Format: nffFunction; OperatorPrecedence: 000; Name: 'OpenText'), // DeusExText.u (deusex)
    {0740}(Index: 02211; Format: nffFunction; OperatorPrecedence: 000; Name: 'CloseText'), // DeusExText.u (deusex)
    {0741}(Index: 02212; Format: nffFunction; OperatorPrecedence: 000; Name: 'ProcessText'), // DeusExText.u (deusex)
    {0742}(Index: 02213; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsEOF'), // DeusExText.u (deusex)
    {0743}(Index: 02214; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetText'), // DeusExText.u (deusex)
    {0744}(Index: 02215; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoLabel'), // DeusExText.u (deusex)
    {0745}(Index: 02216; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTag'), // DeusExText.u (deusex)
    {0746}(Index: 02217; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetName'), // DeusExText.u (deusex)
    {0747}(Index: 02218; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetColor'), // DeusExText.u (deusex)
    {0748}(Index: 02219; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetEmailInfo'), // DeusExText.u (deusex)
    {0749}(Index: 02220; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFileInfo'), // DeusExText.u (deusex)
    {0750}(Index: 02221; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPlayerName'), // DeusExText.u (deusex)
    {0751}(Index: 03001; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBoolFlagFromString'), // DeusEx.u (deusex)
    {0752}(Index: 03002; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateHistoryObject'), // DeusEx.u (deusex)
    {0753}(Index: 03003; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateHistoryEvent'), // DeusEx.u (deusex)
    {0754}(Index: 03010; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateLogObject'), // DeusEx.u (deusex)
    {0755}(Index: 03011; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveGame'), // DeusEx.u (deusex)
    {0756}(Index: 03012; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteSaveGameFiles'), // DeusEx.u (deusex)
    {0757}(Index: 03013; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateGameDirectoryObject'), // DeusEx.u (deusex)
    {0758}(Index: 03014; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateDataVaultImageNoteObject'), // DeusEx.u (deusex)
    {0759}(Index: 03015; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateDumpLocationObject'), // DeusEx.u (deusex)
    {0760}(Index: 03016; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnloadTexture'), // DeusEx.u (deusex)
    {0761}(Index: 03020; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFirstDumpFile'), // DeusEx.u (deusex)
    {0762}(Index: 03021; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextDumpFile'), // DeusEx.u (deusex)
    {0763}(Index: 03022; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDumpFileIndex'), // DeusEx.u (deusex)
    {0764}(Index: 03023; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDumpFileCount'), // DeusEx.u (deusex)
    {0765}(Index: 03024; Format: nffFunction; OperatorPrecedence: 000; Name: 'OpenDumpFile'), // DeusEx.u (deusex)
    {0766}(Index: 03025; Format: nffFunction; OperatorPrecedence: 000; Name: 'CloseDumpFile'), // DeusEx.u (deusex)
    {0767}(Index: 03026; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteDumpFile'), // DeusEx.u (deusex)
    {0768}(Index: 03027; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFirstDumpFileLocation'), // DeusEx.u (deusex)
    {0769}(Index: 03028; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextDumpFileLocation'), // DeusEx.u (deusex)
    {0770}(Index: 03029; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDumpLocationIndex'), // DeusEx.u (deusex)
    {0771}(Index: 03030; Format: nffFunction; OperatorPrecedence: 000; Name: 'SelectDumpFileLocation'), // DeusEx.u (deusex)
    {0772}(Index: 03031; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDumpFileLocationInfo'), // DeusEx.u (deusex)
    {0773}(Index: 03032; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteDumpFileLocation'), // DeusEx.u (deusex)
    {0774}(Index: 03033; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddDumpFileLocation'), // DeusEx.u (deusex)
    {0775}(Index: 03034; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextDumpFileLocationID'), // DeusEx.u (deusex)
    {0776}(Index: 03035; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetCurrentUser'), // DeusEx.u (deusex)
    {0777}(Index: 03036; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPlayer'), // DeusEx.u (deusex)
    {0778}(Index: 03037; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveLocation'), // DeusEx.u (deusex)
    {0779}(Index: 03038; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoadLocation'), // DeusEx.u (deusex)
    {0780}(Index: 03039; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasLocationBeenSaved'), // DeusEx.u (deusex)
    {0781}(Index: 03040; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDumpFileLocationCount'), // DeusEx.u (deusex)
    {0782}(Index: 03075; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateTimeStamp'), // DeusEx.u (deusex)
    {0783}(Index: 03080; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetGameDirectory'), // DeusEx.u (deusex)
    {0784}(Index: 03081; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNewSaveFileIndex'), // DeusEx.u (deusex)
    {0785}(Index: 03082; Format: nffFunction; OperatorPrecedence: 000; Name: 'GenerateSaveFilename'), // DeusEx.u (deusex)
    {0786}(Index: 03083; Format: nffFunction; OperatorPrecedence: 000; Name: 'GenerateNewSaveFilename'), // DeusEx.u (deusex)
    {0787}(Index: 03084; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDirCount'), // DeusEx.u (deusex)
    {0788}(Index: 03085; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetDirFilename'), // DeusEx.u (deusex)
    {0789}(Index: 03086; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDirType'), // DeusEx.u (deusex)
    {0790}(Index: 03087; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetDirFilter'), // DeusEx.u (deusex)
    {0791}(Index: 03088; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveInfo'), // DeusEx.u (deusex)
    {0792}(Index: 03089; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveInfoFromDirectoryIndex'), // DeusEx.u (deusex)
    {0793}(Index: 03090; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTempSaveInfo'), // DeusEx.u (deusex)
    {0794}(Index: 03091; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteSaveInfo'), // DeusEx.u (deusex)
    {0795}(Index: 03092; Format: nffFunction; OperatorPrecedence: 000; Name: 'PurgeAllSaveInfo'), // DeusEx.u (deusex)
    {0796}(Index: 03093; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveFreeSpace'), // DeusEx.u (deusex)
    {0797}(Index: 03094; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveDirectorySize'), // DeusEx.u (deusex)
    {0798}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (deusex)
    {0799}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (deusex)
    {0800}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics'), // Engine.u (deusex)
    {0801}(Index: 04000; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddTimingData'), // Core.u (deusex)
    {0802}(Index: 04001; Format: nffFunction; OperatorPrecedence: 000; Name: 'Command'), // Core.u (deusex)
    {0803}(Index: 04002; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetString'), // Core.u (deusex)
    {0804}(Index: 04003; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetString') // Core.u (deusex)
    );

  // DS9 : The Fallen (from the demo)

  NativeFunctions_DS9: array[0..287] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (ds9)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (ds9)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ds9)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ds9)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (ds9)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (ds9)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ds9)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ds9)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (ds9)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (ds9)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (ds9)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (ds9)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (ds9)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (ds9)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (ds9)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (ds9)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (ds9)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ds9)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ds9)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ds9)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ds9)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ds9)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ds9)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ds9)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (ds9)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ds9)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ds9)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ds9)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ds9)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (ds9)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (ds9)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ds9)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ds9)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ds9)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ds9)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (ds9)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (ds9)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (ds9)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ds9)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ds9)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ds9)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ds9)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ds9)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (ds9)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (ds9)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (ds9)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (ds9)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ds9)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (ds9)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ds9)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (ds9)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ds9)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ds9)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (ds9)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (ds9)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (ds9)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (ds9)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ds9)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ds9)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ds9)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (ds9)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (ds9)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (ds9)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (ds9)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (ds9)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (ds9)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (ds9)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (ds9)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (ds9)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (ds9)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (ds9)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (ds9)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (ds9)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ds9)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ds9)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ds9)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (ds9)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (ds9)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ds9)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ds9)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ds9)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (ds9)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (ds9)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (ds9)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (ds9)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (ds9)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (ds9)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (ds9)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (ds9)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (ds9)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (ds9)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (ds9)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (ds9)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (ds9)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (ds9)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (ds9)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (ds9)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (ds9)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (ds9)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (ds9)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (ds9)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (ds9)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (ds9)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (ds9)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (ds9)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (ds9)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (ds9)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (ds9)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (ds9)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (ds9)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (ds9)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (ds9)
    {0134}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (ds9)
    {0135}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (ds9)
    {0136}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (ds9)
    {0137}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (ds9)
    {0138}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (ds9)
    {0139}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (ds9)
    {0140}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (ds9)
    {0141}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (ds9)
    {0142}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (ds9)
    {0143}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (ds9)
    {0144}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (ds9)
    {0145}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (ds9)
    {0146}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (ds9)
    {0147}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0148}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0149}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (ds9)
    {0150}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0151}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (ds9)
    {0152}(Index: 00292; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0153}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (ds9)
    {0154}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (ds9)
    {0155}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (ds9)
    {0156}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (ds9)
    {0157}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (ds9)
    {0158}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (ds9)
    {0159}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (ds9)
    {0160}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (ds9)
    {0161}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (ds9)
    {0162}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (ds9)
    {0163}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (ds9)
    {0164}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (ds9)
    {0165}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (ds9)
    {0166}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (ds9)
    {0167}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (ds9)
    {0168}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (ds9)
    {0169}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (ds9)
    {0170}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (ds9)
    {0171}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (ds9)
    {0172}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (ds9)
    {0173}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (ds9)
    {0174}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (ds9)
    {0175}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (ds9)
    {0176}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (ds9)
    {0177}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (ds9)
    {0178}(Index: 00350; Format: nffFunction; OperatorPrecedence: 000; Name: 'ListActors'), // Engine.u (ds9)
    {0179}(Index: 00351; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnemyActors'), // Engine.u (ds9)
    {0180}(Index: 00408; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DActorInit'), // Engine.u (ds9)
    {0181}(Index: 00409; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetIkTargetPosition'), // Engine.u (ds9)
    {0182}(Index: 00411; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DClearIkTarget'), // Engine.u (ds9)
    {0183}(Index: 00412; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DBonedTrace'), // Engine.u (ds9)
    {0184}(Index: 00413; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DIsBoned'), // Engine.u (ds9)
    {0185}(Index: 00414; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DDrawHelpObjects'), // Engine.u (ds9)
    {0186}(Index: 00421; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetIkTargetOrientation'), // Engine.u (ds9)
    {0187}(Index: 00422; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetJointWorldPos'), // Engine.u (ds9)
    {0188}(Index: 00426; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DPlayAnim'), // Engine.u (ds9)
    {0189}(Index: 00427; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DLoopAnim'), // Engine.u (ds9)
    {0190}(Index: 00428; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DTweenAnim'), // Engine.u (ds9)
    {0191}(Index: 00429; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DIsAnimating'), // Engine.u (ds9)
    {0192}(Index: 00430; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DFinishAnim'), // Engine.u (ds9)
    {0193}(Index: 00432; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DAttach'), // Engine.u (ds9)
    {0194}(Index: 00433; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DDetach'), // Engine.u (ds9)
    {0195}(Index: 00440; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetIkTargetPositionAbs'), // Engine.u (ds9)
    {0196}(Index: 00441; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetIkTargetOrientationAbs'), // Engine.u (ds9)
    {0197}(Index: 00442; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAttachPtCoords'), // Engine.u (ds9)
    {0198}(Index: 00443; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DApplyRotation'), // Engine.u (ds9)
    {0199}(Index: 00444; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DPlaySkinAnim'), // Engine.u (ds9)
    {0200}(Index: 00445; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetSkinAnim'), // Engine.u (ds9)
    {0201}(Index: 00446; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSizeSquared'), // Core.u (ds9)
    {0202}(Index: 00447; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DClearSkinAnim'), // Engine.u (ds9)
    {0203}(Index: 00448; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DTweenSkinAnim'), // Engine.u (ds9)
    {0204}(Index: 00449; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DTweenSkinAnimDelay'), // Engine.u (ds9)
    {0205}(Index: 00450; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetJointLocalPos'), // Engine.u (ds9)
    {0206}(Index: 00451; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DSetFullBodyAnimType'), // Engine.u (ds9)
    {0207}(Index: 00452; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DApplyIKOnBasePose'), // Engine.u (ds9)
    {0208}(Index: 00453; Format: nffFunction; OperatorPrecedence: 000; Name: 'Power'), // Engine.u (ds9)
    {0209}(Index: 00454; Format: nffFunction; OperatorPrecedence: 000; Name: 'InterpolateRotation'), // Engine.u (ds9)
    {0210}(Index: 00455; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAttachPtOffset'), // Engine.u (ds9)
    {0211}(Index: 00456; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DApplyWorldRotation'), // Engine.u (ds9)
    {0212}(Index: 00457; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetJointLocalPosRel'), // Engine.u (ds9)
    {0213}(Index: 00458; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetJointWorldPosRel'), // Engine.u (ds9)
    {0214}(Index: 00459; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DRemoveRotation'), // Engine.u (ds9)
    {0215}(Index: 00460; Format: nffFunction; OperatorPrecedence: 000; Name: 'CheckFOV'), // Engine.u (ds9)
    {0216}(Index: 00461; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DTweenOutAnim'), // Engine.u (ds9)
    {0217}(Index: 00462; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAnimName'), // Engine.u (ds9)
    {0218}(Index: 00463; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAnimSource'), // Engine.u (ds9)
    {0219}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (ds9)
    {0220}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (ds9)
    {0221}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (ds9)
    {0222}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (ds9)
    {0223}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (ds9)
    {0224}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (ds9)
    {0225}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (ds9)
    {0226}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (ds9)
    {0227}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (ds9)
    {0228}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (ds9)
    {0229}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (ds9)
    {0230}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (ds9)
    {0231}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (ds9)
    {0232}(Index: 00477; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DInitAltMeshes'), // Engine.u (ds9)
    {0233}(Index: 00478; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAttachPtCoordsPrecomputed'), // Engine.u (ds9)
    {0234}(Index: 00479; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetAnimSourceFromName'), // Engine.u (ds9)
    {0235}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (ds9)
    {0236}(Index: 00481; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawScaledText'), // Engine.u (ds9)
    {0237}(Index: 00482; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRenderFrame'), // Engine.u (ds9)
    {0238}(Index: 00484; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetScreenCoords'), // Engine.u (ds9)
    {0239}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (ds9)
    {0240}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (ds9)
    {0241}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (ds9)
    {0242}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (ds9)
    {0243}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (ds9)
    {0244}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (ds9)
    {0245}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (ds9)
    {0246}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (ds9)
    {0247}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (ds9)
    {0248}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (ds9)
    {0249}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (ds9)
    {0250}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (ds9)
    {0251}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (ds9)
    {0252}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (ds9)
    {0253}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (ds9)
    {0254}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (ds9)
    {0255}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (ds9)
    {0256}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (ds9)
    {0257}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (ds9)
    {0258}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (ds9)
    {0259}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (ds9)
    {0260}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (ds9)
    {0261}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (ds9)
    {0262}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (ds9)
    {0263}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (ds9)
    {0264}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (ds9)
    {0265}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (ds9)
    {0266}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (ds9)
    {0267}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (ds9)
    {0268}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (ds9)
    {0269}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (ds9)
    {0270}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (ds9)
    {0271}(Index: 00583; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo2'), // Engine.u (ds9)
    {0272}(Index: 00600; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResizeActor'), // Engine.u (ds9)
    {0273}(Index: 00601; Format: nffFunction; OperatorPrecedence: 000; Name: 'PointCheck'), // Engine.u (ds9)
    {0274}(Index: 00602; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetRegion'), // Engine.u (ds9)
    {0275}(Index: 00603; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetWaterLine'), // Engine.u (ds9)
    {0276}(Index: 00604; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetSurfaceTexture'), // Engine.u (ds9)
    {0277}(Index: 00605; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSurfaceTexture'), // Engine.u (ds9)
    {0278}(Index: 00606; Format: nffFunction; OperatorPrecedence: 000; Name: 'C3DGetBoundingBox'), // Engine.u (ds9)
    {0279}(Index: 00833; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSplineData'), // Engine.u (ds9)
    {0280}(Index: 00834; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsKeyDown'), // Engine.u (ds9)
    {0281}(Index: 00835; Format: nffFunction; OperatorPrecedence: 000; Name: 'PerformPhysics'), // Engine.u (ds9)
    {0282}(Index: 00836; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateMultiSkins'), // Engine.u (ds9)
    {0283}(Index: 00837; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearLatentMovement'), // Engine.u (ds9)
    {0284}(Index: 00840; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayDialogLine'), // Engine.u (ds9)
    {0285}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (ds9)
    {0286}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (ds9)
    {0287}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (ds9)
    );

  // Klingon Honor Guard (from the demo)

  NativeFunctions_KHG: array[0..212] of TNativeFunction = (
    {0000}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (khg)
    {0001}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0002}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (khg)
    {0003}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (khg)
    {0004}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0005}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (khg)
    {0006}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (khg)
    {0007}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (khg)
    {0008}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (khg)
    {0009}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (khg)
    {0010}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (khg)
    {0011}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (khg)
    {0012}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (khg)
    {0013}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (khg)
    {0014}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (khg)
    {0015}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (khg)
    {0016}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (khg)
    {0017}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (khg)
    {0018}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Engine.u (khg)
    {0019}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (khg)
    {0020}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (khg)
    {0021}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (khg)
    {0022}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (khg)
    {0023}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (khg)
    {0024}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (khg)
    {0025}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (khg)
    {0026}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (khg)
    {0027}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (khg)
    {0028}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (khg)
    {0029}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (khg)
    {0030}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0031}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0032}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (khg)
    {0033}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (khg)
    {0034}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (khg)
    {0035}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (khg)
    {0036}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (khg)
    {0037}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (khg)
    {0038}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (khg)
    {0039}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (khg)
    {0040}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (khg)
    {0041}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (khg)
    {0042}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (khg)
    {0043}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (khg)
    {0044}(Index: 00168; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (khg)
    {0045}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (khg)
    {0046}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (khg)
    {0047}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (khg)
    {0048}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (khg)
    {0049}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (khg)
    {0050}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (khg)
    {0051}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (khg)
    {0052}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (khg)
    {0053}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (khg)
    {0054}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (khg)
    {0055}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (khg)
    {0056}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0057}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0058}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (khg)
    {0059}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (khg)
    {0060}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (khg)
    {0061}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (khg)
    {0062}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (khg)
    {0063}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (khg)
    {0064}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (khg)
    {0065}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (khg)
    {0066}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (khg)
    {0067}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (khg)
    {0068}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (khg)
    {0069}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (khg)
    {0070}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (khg)
    {0071}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (khg)
    {0072}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (khg)
    {0073}(Index: 00197; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (khg)
    {0074}(Index: 00198; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (khg)
    {0075}(Index: 00199; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (khg)
    {0076}(Index: 00200; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (khg)
    {0077}(Index: 00201; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0078}(Index: 00202; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0079}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Engine.u (khg)
    {0080}(Index: 00204; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (khg)
    {0081}(Index: 00205; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (khg)
    {0082}(Index: 00206; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (khg)
    {0083}(Index: 00207; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (khg)
    {0084}(Index: 00208; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (khg)
    {0085}(Index: 00209; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (khg)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (khg)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Engine.u (khg)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (khg)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (khg)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Engine.u (khg)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (khg)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (khg)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Engine.u (khg)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Engine.u (khg)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Engine.u (khg)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Engine.u (khg)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Engine.u (khg)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Engine.u (khg)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Engine.u (khg)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Engine.u (khg)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Engine.u (khg)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Engine.u (khg)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Engine.u (khg)
    {0104}(Index: 00228; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (khg)
    {0105}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Engine.u (khg)
    {0106}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Engine.u (khg)
    {0107}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (khg)
    {0108}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (khg)
    {0109}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (khg)
    {0110}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0111}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0112}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (khg)
    {0113}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (khg)
    {0114}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (khg)
    {0115}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (khg)
    {0116}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (khg)
    {0117}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (khg)
    {0118}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (khg)
    {0119}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (khg)
    {0120}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Engine.u (khg)
    {0121}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (khg)
    {0122}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (khg)
    {0123}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (khg)
    {0124}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (khg)
    {0125}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (khg)
    {0126}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (khg)
    {0127}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (khg)
    {0128}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (khg)
    {0129}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (khg)
    {0130}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (khg)
    {0131}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (khg)
    {0132}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (khg)
    {0133}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Engine.u (khg)
    {0134}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Engine.u (khg)
    {0135}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (khg)
    {0136}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (khg)
    {0137}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (khg)
    {0138}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (khg)
    {0139}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (khg)
    {0140}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (khg)
    {0141}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (khg)
    {0142}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (khg)
    {0143}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (khg)
    {0144}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (khg)
    {0145}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Engine.u (khg)
    {0146}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Engine.u (khg)
    {0147}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Engine.u (khg)
    {0148}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (khg)
    {0149}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (khg)
    {0150}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (khg)
    {0151}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Engine.u (khg)
    {0152}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (khg)
    {0153}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (khg)
    {0154}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Engine.u (khg)
    {0155}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (khg)
    {0156}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Engine.u (khg)
    {0157}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (khg)
    {0158}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (khg)
    {0159}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (khg)
    {0160}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (khg)
    {0161}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (khg)
    {0162}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (khg)
    {0163}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (khg)
    {0164}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (khg)
    {0165}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (khg)
    {0166}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (khg)
    {0167}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (khg)
    {0168}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (khg)
    {0169}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (khg)
    {0170}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Engine.u (khg)
    {0171}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Engine.u (khg)
    {0172}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Engine.u (khg)
    {0173}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (khg)
    {0174}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (khg)
    {0175}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (khg)
    {0176}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (khg)
    {0177}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (khg)
    {0178}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (khg)
    {0179}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (khg)
    {0180}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (khg)
    {0181}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (khg)
    {0182}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (khg)
    {0183}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (khg)
    {0184}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (khg)
    {0185}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (khg)
    {0186}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (khg)
    {0187}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (khg)
    {0188}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (khg)
    {0189}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (khg)
    {0190}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (khg)
    {0191}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (khg)
    {0192}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (khg)
    {0193}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (khg)
    {0194}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (khg)
    {0195}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (khg)
    {0196}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (khg)
    {0197}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (khg)
    {0198}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (khg)
    {0199}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (khg)
    {0200}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (khg)
    {0201}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (khg)
    {0202}(Index: 00537; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConsoleCommand'), // Engine.u (khg)
    {0203}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (khg)
    {0204}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (khg)
    {0205}(Index: 00542; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConsoleCommandResult'), // Engine.u (khg)
    {0206}(Index: 00543; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetConfig'), // Core.u (khg)
    {0207}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (khg)
    {0208}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (khg)
    {0209}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (khg)
    {0210}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (khg)
    {0211}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (khg)
    {0212}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (khg)
    );

  // Undying

  NativeFunctions_Undying: array[0..332] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (undying)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (undying)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (undying)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (undying)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (undying)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (undying)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (undying)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (undying)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (undying)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (undying)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (undying)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (undying)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (undying)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (undying)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (undying)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (undying)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (undying)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (undying)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (undying)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (undying)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (undying)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (undying)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (undying)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (undying)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (undying)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (undying)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (undying)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (undying)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (undying)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (undying)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (undying)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (undying)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (undying)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (undying)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (undying)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (undying)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (undying)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (undying)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (undying)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (undying)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (undying)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (undying)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (undying)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (undying)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (undying)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (undying)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (undying)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (undying)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (undying)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (undying)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (undying)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (undying)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (undying)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (undying)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (undying)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (undying)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (undying)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (undying)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (undying)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (undying)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (undying)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (undying)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (undying)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (undying)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (undying)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (undying)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (undying)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (undying)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (undying)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (undying)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (undying)
    {0085}(Index: 00197; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clock'), // Core.u (undying)
    {0086}(Index: 00198; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnClock'), // Core.u (undying)
    {0087}(Index: 00199; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFrameTime'), // Core.u (undying)
    {0088}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0089}(Index: 00205; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPlatform'), // Core.u (undying)
    {0090}(Index: 00206; Format: nffFunction; OperatorPrecedence: 000; Name: 'QuerySlot'), // Core.u (undying)
    {0091}(Index: 00207; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsFormated'), // Core.u (undying)
    {0092}(Index: 00208; Format: nffFunction; OperatorPrecedence: 000; Name: 'Format'), // Core.u (undying)
    {0093}(Index: 00209; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnFormat'), // Core.u (undying)
    {0094}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (undying)
    {0095}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (undying)
    {0096}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0097}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0098}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (undying)
    {0099}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (undying)
    {0100}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (undying)
    {0101}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0102}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0103}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (undying)
    {0104}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (undying)
    {0105}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0106}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (undying)
    {0107}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (undying)
    {0108}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (undying)
    {0109}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (undying)
    {0110}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (undying)
    {0111}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (undying)
    {0112}(Index: 00228; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNumSaveGames'), // Core.u (undying)
    {0113}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (undying)
    {0114}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (undying)
    {0115}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (undying)
    {0116}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (undying)
    {0117}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (undying)
    {0118}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (undying)
    {0119}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (undying)
    {0120}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (undying)
    {0121}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (undying)
    {0122}(Index: 00238; Format: nffFunction; OperatorPrecedence: 000; Name: 'RewindSaveGameList'), // Core.u (undying)
    {0123}(Index: 00239; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableLog'), // Core.u (undying)
    {0124}(Index: 00240; Format: nffFunction; OperatorPrecedence: 000; Name: 'DisableLog'), // Core.u (undying)
    {0125}(Index: 00241; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSaveGame'), // Core.u (undying)
    {0126}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0127}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0128}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (undying)
    {0129}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (undying)
    {0130}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (undying)
    {0131}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (undying)
    {0132}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (undying)
    {0133}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (undying)
    {0134}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (undying)
    {0135}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (undying)
    {0136}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (undying)
    {0137}(Index: 00253; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteSaveGame'), // Core.u (undying)
    {0138}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (undying)
    {0139}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (undying)
    {0140}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (undying)
    {0141}(Index: 00257; Format: nffFunction; OperatorPrecedence: 000; Name: 'CreateNewSaveGame'), // Core.u (undying)
    {0142}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (undying)
    {0143}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (undying)
    {0144}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (undying)
    {0145}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (undying)
    {0146}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (undying)
    {0147}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (undying)
    {0148}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (undying)
    {0149}(Index: 00265; Format: nffFunction; OperatorPrecedence: 000; Name: 'StopSound'), // Engine.u (undying)
    {0150}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (undying)
    {0151}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (undying)
    {0152}(Index: 00268; Format: nffFunction; OperatorPrecedence: 000; Name: 'OpenSaveGame'), // Core.u (undying)
    {0153}(Index: 00269; Format: nffFunction; OperatorPrecedence: 000; Name: 'CloseSaveGame'), // Core.u (undying)
    {0154}(Index: 00270; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAvailableMemory'), // Core.u (undying)
    {0155}(Index: 00271; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeleteOtherSaveGames'), // Core.u (undying)
    {0156}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (undying)
    {0157}(Index: 00273; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetOtherGamesSize'), // Core.u (undying)
    {0158}(Index: 00274; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnimSound'), // Engine.u (undying)
    {0159}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (undying)
    {0160}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (undying)
    {0161}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (undying)
    {0162}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (undying)
    {0163}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (undying)
    {0164}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (undying)
    {0165}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (undying)
    {0166}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (undying)
    {0167}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (undying)
    {0168}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (undying)
    {0169}(Index: 00285; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceTexture'), // Engine.u (undying)
    {0170}(Index: 00286; Format: nffFunction; OperatorPrecedence: 000; Name: 'LogStack'), // Core.u (undying)
    {0171}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0172}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0173}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (undying)
    {0174}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0175}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (undying)
    {0176}(Index: 00292; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimResting'), // Engine.u (undying)
    {0177}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (undying)
    {0178}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (undying)
    {0179}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (undying)
    {0180}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (undying)
    {0181}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (undying)
    {0182}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (undying)
    {0183}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (undying)
    {0184}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (undying)
    {0185}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (undying)
    {0186}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (undying)
    {0187}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (undying)
    {0188}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (undying)
    {0189}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (undying)
    {0190}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (undying)
    {0191}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (undying)
    {0192}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (undying)
    {0193}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (undying)
    {0194}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (undying)
    {0195}(Index: 00313; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTexture'), // Engine.u (undying)
    {0196}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (undying)
    {0197}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (undying)
    {0198}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (undying)
    {0199}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (undying)
    {0200}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (undying)
    {0201}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (undying)
    {0202}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (undying)
    {0203}(Index: 00321; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoadTextureFromBMP'), // Engine.u (undying)
    {0204}(Index: 00322; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetLightCache'), // Engine.u (undying)
    {0205}(Index: 00330; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConvertRot'), // Core.u (undying)
    {0206}(Index: 00331; Format: nffFunction; OperatorPrecedence: 000; Name: 'ConvertQuat'), // Core.u (undying)
    {0207}(Index: 00332; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotateTo'), // Core.u (undying)
    {0208}(Index: 00334; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTexture'), // Engine.u (undying)
    {0209}(Index: 00400; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayImpactSound'), // Engine.u (undying)
    {0210}(Index: 00402; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishSound'), // Engine.u (undying)
    {0211}(Index: 00404; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayFootSound'), // Engine.u (undying)
    {0212}(Index: 00405; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddTargetPos'), // Engine.u (undying)
    {0213}(Index: 00406; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddTargetRot'), // Engine.u (undying)
    {0214}(Index: 00407; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearTarget'), // Engine.u (undying)
    {0215}(Index: 00408; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearTargets'), // Engine.u (undying)
    {0216}(Index: 00409; Format: nffFunction; OperatorPrecedence: 000; Name: 'DestroyLimb'), // Engine.u (undying)
    {0217}(Index: 00410; Format: nffFunction; OperatorPrecedence: 000; Name: 'DetachLimb'), // Engine.u (undying)
    {0218}(Index: 00411; Format: nffFunction; OperatorPrecedence: 000; Name: 'NumJoints'), // Engine.u (undying)
    {0219}(Index: 00412; Format: nffFunction; OperatorPrecedence: 000; Name: 'JointName'), // Engine.u (undying)
    {0220}(Index: 00413; Format: nffFunction; OperatorPrecedence: 000; Name: 'JointIndex'), // Engine.u (undying)
    {0221}(Index: 00414; Format: nffFunction; OperatorPrecedence: 000; Name: 'JointPlace'), // Engine.u (undying)
    {0222}(Index: 00415; Format: nffFunction; OperatorPrecedence: 000; Name: 'StaticJointDir'), // Engine.u (undying)
    {0223}(Index: 00416; Format: nffFunction; OperatorPrecedence: 000; Name: 'JointParent'), // Engine.u (undying)
    {0224}(Index: 00417; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLimbTangible'), // Engine.u (undying)
    {0225}(Index: 00420; Format: nffFunction; OperatorPrecedence: 000; Name: 'AnimMoveRate'), // Engine.u (undying)
    {0226}(Index: 00421; Format: nffFunction; OperatorPrecedence: 000; Name: 'ApplyMod'), // Engine.u (undying)
    {0227}(Index: 00422; Format: nffFunction; OperatorPrecedence: 000; Name: 'ListAnims'), // Engine.u (undying)
    {0228}(Index: 00423; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNotifyTime'), // Engine.u (undying)
    {0229}(Index: 00424; Format: nffFunction; OperatorPrecedence: 000; Name: 'ApplyAnim'), // Engine.u (undying)
    {0230}(Index: 00425; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetWind'), // Engine.u (undying)
    {0231}(Index: 00426; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddDynamic'), // Engine.u (undying)
    {0232}(Index: 00431; Format: nffFunction; OperatorPrecedence: 000; Name: 'NumParticles'), // Engine.u (undying)
    {0233}(Index: 00432; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddParticle'), // Engine.u (undying)
    {0234}(Index: 00433; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetParticleParams'), // Engine.u (undying)
    {0235}(Index: 00434; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetParticleParams'), // Engine.u (undying)
    {0236}(Index: 00435; Format: nffFunction; OperatorPrecedence: 000; Name: 'RecomputeDeltas'), // Engine.u (undying)
    {0237}(Index: 00463; Format: nffFunction; OperatorPrecedence: 000; Name: 'Draw3DLine'), // Engine.u (undying)
    {0238}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (undying)
    {0239}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (undying)
    {0240}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (undying)
    {0241}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (undying)
    {0242}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (undying)
    {0243}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (undying)
    {0244}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (undying)
    {0245}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (undying)
    {0246}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (undying)
    {0247}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (undying)
    {0248}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (undying)
    {0249}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (undying)
    {0250}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (undying)
    {0251}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (undying)
    {0252}(Index: 00481; Format: nffFunction; OperatorPrecedence: 000; Name: 'DeProject'), // Engine.u (undying)
    {0253}(Index: 00482; Format: nffFunction; OperatorPrecedence: 000; Name: 'Project'), // Engine.u (undying)
    {0254}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (undying)
    {0255}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (undying)
    {0256}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (undying)
    {0257}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (undying)
    {0258}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (undying)
    {0259}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (undying)
    {0260}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (undying)
    {0261}(Index: 00513; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotateToView'), // Engine.u (undying)
    {0262}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (undying)
    {0263}(Index: 00516; Format: nffFunction; OperatorPrecedence: 000; Name: 'PopRouteCache'), // Engine.u (undying)
    {0264}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (undying)
    {0265}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (undying)
    {0266}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (undying)
    {0267}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (undying)
    {0268}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (undying)
    {0269}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (undying)
    {0270}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (undying)
    {0271}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (undying)
    {0272}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (undying)
    {0273}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (undying)
    {0274}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (undying)
    {0275}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (undying)
    {0276}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (undying)
    {0277}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (undying)
    {0278}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (undying)
    {0279}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (undying)
    {0280}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (undying)
    {0281}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (undying)
    {0282}(Index: 00537; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound_P'), // Engine.u (undying)
    {0283}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (undying)
    {0284}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (undying)
    {0285}(Index: 00542; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnloadTexture'), // Engine.u (undying)
    {0286}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (undying)
    {0287}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (undying)
    {0288}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (undying)
    {0289}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (undying)
    {0290}(Index: 00548; Format: nffFunction; OperatorPrecedence: 000; Name: 'FastTrace'), // Engine.u (undying)
    {0291}(Index: 00549; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Engine.u (undying)
    {0292}(Index: 00550; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (undying)
    {0293}(Index: 00551; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Engine.u (undying)
    {0294}(Index: 00552; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Engine.u (undying)
    {0295}(Index: 02000; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetZone'), // Engine.u (undying)
    {0296}(Index: 02001; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTotalWind'), // Engine.u (undying)
    {0297}(Index: 02002; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveGameToMemoryCard'), // Engine.u (undying)
    {0298}(Index: 02003; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoadGameFromMemoryCard'), // Engine.u (undying)
    {0299}(Index: 02004; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveGame'), // Engine.u (undying)
    {0300}(Index: 02005; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoadGame'), // Engine.u (undying)
    {0301}(Index: 02006; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveGameSize'), // Engine.u (undying)
    {0302}(Index: 02007; Format: nffFunction; OperatorPrecedence: 000; Name: 'EnableStates'), // Core.u (undying)
    {0303}(Index: 02008; Format: nffFunction; OperatorPrecedence: 000; Name: 'InitAct'), // Engine.u (undying)
    {0304}(Index: 02009; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetAct'), // Engine.u (undying)
    {0305}(Index: 02010; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNoActuators'), // Engine.u (undying)
    {0306}(Index: 02011; Format: nffFunction; OperatorPrecedence: 000; Name: 'ActivateActuator'), // Engine.u (undying)
    {0307}(Index: 02012; Format: nffFunction; OperatorPrecedence: 000; Name: 'RunActuator'), // Engine.u (undying)
    {0308}(Index: 02013; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPSX2TimeStamp'), // Core.u (undying)
    {0309}(Index: 02014; Format: nffFunction; OperatorPrecedence: 000; Name: 'Init'), // Core.u (undying)
    {0310}(Index: 02015; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Core.u (undying)
    {0311}(Index: 02016; Format: nffFunction; OperatorPrecedence: 000; Name: 'Load'), // Core.u (undying)
    {0312}(Index: 02017; Format: nffFunction; OperatorPrecedence: 000; Name: 'Eject'), // Core.u (undying)
    {0313}(Index: 02018; Format: nffFunction; OperatorPrecedence: 000; Name: 'Play'), // Core.u (undying)
    {0314}(Index: 02019; Format: nffFunction; OperatorPrecedence: 000; Name: 'Pause'), // Core.u (undying)
    {0315}(Index: 02020; Format: nffFunction; OperatorPrecedence: 000; Name: 'FastForward'), // Core.u (undying)
    {0316}(Index: 02021; Format: nffFunction; OperatorPrecedence: 000; Name: 'Reset'), // Core.u (undying)
    {0317}(Index: 02022; Format: nffFunction; OperatorPrecedence: 000; Name: 'Stop'), // Core.u (undying)
    {0318}(Index: 02023; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tick'), // Core.u (undying)
    {0319}(Index: 02024; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mute'), // Core.u (undying)
    {0320}(Index: 02025; Format: nffFunction; OperatorPrecedence: 000; Name: 'NoAudio'), // Core.u (undying)
    {0321}(Index: 02026; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsPlaying'), // Core.u (undying)
    {0322}(Index: 02027; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsPaused'), // Core.u (undying)
    {0323}(Index: 02028; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsFastForwarding'), // Core.u (undying)
    {0324}(Index: 02029; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsEjected'), // Core.u (undying)
    {0325}(Index: 02030; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsMuted'), // Core.u (undying)
    {0326}(Index: 02031; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFrameNo'), // Core.u (undying)
    {0327}(Index: 02032; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetSaveGameList'), // Engine.u (undying)
    {0328}(Index: 02033; Format: nffFunction; OperatorPrecedence: 000; Name: 'GUIEnter'), // Engine.u (undying)
    {0329}(Index: 02034; Format: nffFunction; OperatorPrecedence: 000; Name: 'GUIExit'), // Engine.u (undying)
    {0330}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (undying)
    {0331}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (undying)
    {0332}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (undying)
    );

  // Nerf Arena Blast (from the demo)

  NativeFunctions_Nerf: array[0..229] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (Nerf)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (Nerf)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (Nerf)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (Nerf)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (Nerf)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (Nerf)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (Nerf)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (Nerf)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (Nerf)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (Nerf)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (Nerf)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (Nerf)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (Nerf)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (Nerf)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (Nerf)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (Nerf)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (Nerf)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (Nerf)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (Nerf)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (Nerf)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (Nerf)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (Nerf)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (Nerf)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (Nerf)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (Nerf)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (Nerf)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (Nerf)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (Nerf)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (Nerf)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (Nerf)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (Nerf)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (Nerf)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (Nerf)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (Nerf)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (Nerf)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (Nerf)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (Nerf)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (Nerf)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (Nerf)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (Nerf)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (Nerf)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (Nerf)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (Nerf)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (Nerf)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (Nerf)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (Nerf)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (Nerf)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (Nerf)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (Nerf)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (Nerf)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (Nerf)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (Nerf)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (Nerf)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (Nerf)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (Nerf)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (Nerf)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (Nerf)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (Nerf)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (Nerf)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (Nerf)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (Nerf)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (Nerf)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (Nerf)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (Nerf)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (Nerf)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (Nerf)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (Nerf)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (Nerf)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (Nerf)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (Nerf)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (Nerf)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (Nerf)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (Nerf)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (Nerf)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (Nerf)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (Nerf)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (Nerf)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (Nerf)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (Nerf)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (Nerf)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (Nerf)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (Nerf)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (Nerf)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (Nerf)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (Nerf)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (Nerf)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (Nerf)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (Nerf)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (Nerf)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (Nerf)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (Nerf)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (Nerf)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (Nerf)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (Nerf)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (Nerf)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (Nerf)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (Nerf)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (Nerf)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (Nerf)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (Nerf)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (Nerf)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (Nerf)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (Nerf)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (Nerf)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (Nerf)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (Nerf)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (Nerf)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (Nerf)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (Nerf)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (Nerf)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (Nerf)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (Nerf)
    {0134}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (Nerf)
    {0135}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (Nerf)
    {0136}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (Nerf)
    {0137}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (Nerf)
    {0138}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (Nerf)
    {0139}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (Nerf)
    {0140}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (Nerf)
    {0141}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (Nerf)
    {0142}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (Nerf)
    {0143}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (Nerf)
    {0144}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (Nerf)
    {0145}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (Nerf)
    {0146}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (Nerf)
    {0147}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0148}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0149}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (Nerf)
    {0150}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0151}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (Nerf)
    {0152}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (Nerf)
    {0153}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (Nerf)
    {0154}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (Nerf)
    {0155}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (Nerf)
    {0156}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (Nerf)
    {0157}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (Nerf)
    {0158}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (Nerf)
    {0159}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (Nerf)
    {0160}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (Nerf)
    {0161}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (Nerf)
    {0162}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (Nerf)
    {0163}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (Nerf)
    {0164}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (Nerf)
    {0165}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (Nerf)
    {0166}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (Nerf)
    {0167}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (Nerf)
    {0168}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (Nerf)
    {0169}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (Nerf)
    {0170}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (Nerf)
    {0171}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (Nerf)
    {0172}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (Nerf)
    {0173}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (Nerf)
    {0174}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (Nerf)
    {0175}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (Nerf)
    {0176}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (Nerf)
    {0177}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (Nerf)
    {0178}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (Nerf)
    {0179}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (Nerf)
    {0180}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (Nerf)
    {0181}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (Nerf)
    {0182}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (Nerf)
    {0183}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (Nerf)
    {0184}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (Nerf)
    {0185}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (Nerf)
    {0186}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (Nerf)
    {0187}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (Nerf)
    {0188}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (Nerf)
    {0189}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (Nerf)
    {0190}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (Nerf)
    {0191}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (Nerf)
    {0192}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (Nerf)
    {0193}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (Nerf)
    {0194}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (Nerf)
    {0195}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (Nerf)
    {0196}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (Nerf)
    {0197}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (Nerf)
    {0198}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (Nerf)
    {0199}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (Nerf)
    {0200}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (Nerf)
    {0201}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (Nerf)
    {0202}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (Nerf)
    {0203}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (Nerf)
    {0204}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (Nerf)
    {0205}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (Nerf)
    {0206}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (Nerf)
    {0207}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (Nerf)
    {0208}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (Nerf)
    {0209}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (Nerf)
    {0210}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (Nerf)
    {0211}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (Nerf)
    {0212}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (Nerf)
    {0213}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (Nerf)
    {0214}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (Nerf)
    {0215}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (Nerf)
    {0216}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (Nerf)
    {0217}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (Nerf)
    {0218}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (Nerf)
    {0219}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (Nerf)
    {0220}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (Nerf)
    {0221}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (Nerf)
    {0222}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (Nerf)
    {0223}(Index: 00737; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTrace'), // Core.u (Nerf)
    {0224}(Index: 00738; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetTrace'), // Core.u (Nerf)
    {0225}(Index: 00739; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetConfigString'), // Core.u (Nerf)
    {0226}(Index: 00740; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetConfigString'), // Core.u (Nerf)
    {0227}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (Nerf)
    {0228}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (Nerf)
    {0229}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (Nerf)
    );

  // The Wheel Of Time (from the demo)

  NativeFunctions_WoT: array[0..256] of TNativeFunction = (
    {0000}(Index: 00112; Format: nffOperator; OperatorPrecedence: 040; Name: '$'), // Core.u (wot)
    {0001}(Index: 00113; Format: nffFunction; OperatorPrecedence: 000; Name: 'GotoState'), // Core.u (wot)
    {0002}(Index: 00114; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0003}(Index: 00115; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (wot)
    {0004}(Index: 00116; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (wot)
    {0005}(Index: 00117; Format: nffFunction; OperatorPrecedence: 000; Name: 'Enable'), // Core.u (wot)
    {0006}(Index: 00118; Format: nffFunction; OperatorPrecedence: 000; Name: 'Disable'), // Core.u (wot)
    {0007}(Index: 00119; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0008}(Index: 00120; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (wot)
    {0009}(Index: 00121; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (wot)
    {0010}(Index: 00122; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0011}(Index: 00123; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0012}(Index: 00124; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (wot)
    {0013}(Index: 00125; Format: nffFunction; OperatorPrecedence: 000; Name: 'Len'), // Core.u (wot)
    {0014}(Index: 00126; Format: nffFunction; OperatorPrecedence: 000; Name: 'InStr'), // Core.u (wot)
    {0015}(Index: 00127; Format: nffFunction; OperatorPrecedence: 000; Name: 'Mid'), // Core.u (wot)
    {0016}(Index: 00128; Format: nffFunction; OperatorPrecedence: 000; Name: 'Left'), // Core.u (wot)
    {0017}(Index: 00129; Format: nffPreOperator; OperatorPrecedence: 000; Name: '!'), // Core.u (wot)
    {0018}(Index: 00130; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '&&'), // Core.u (wot)
    {0019}(Index: 00131; Format: nffOperator; OperatorPrecedence: 010 {030}; Name: '^^'), // Core.u (wot)
    {0020}(Index: 00132; Format: nffOperator; OperatorPrecedence: 011 {032}; Name: '||'), // Core.u (wot)
    {0021}(Index: 00133; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0022}(Index: 00134; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (wot)
    {0023}(Index: 00135; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (wot)
    {0024}(Index: 00136; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (wot)
    {0025}(Index: 00137; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (wot)
    {0026}(Index: 00138; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (wot)
    {0027}(Index: 00139; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (wot)
    {0028}(Index: 00140; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (wot)
    {0029}(Index: 00141; Format: nffPreOperator; OperatorPrecedence: 000; Name: '~'), // Core.u (wot)
    {0030}(Index: 00142; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0031}(Index: 00143; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (wot)
    {0032}(Index: 00144; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0033}(Index: 00145; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (wot)
    {0034}(Index: 00146; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (wot)
    {0035}(Index: 00147; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (wot)
    {0036}(Index: 00148; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (wot)
    {0037}(Index: 00149; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (wot)
    {0038}(Index: 00150; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (wot)
    {0039}(Index: 00151; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (wot)
    {0040}(Index: 00152; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (wot)
    {0041}(Index: 00153; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (wot)
    {0042}(Index: 00154; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0043}(Index: 00155; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0044}(Index: 00156; Format: nffOperator; OperatorPrecedence: 028; Name: '&'), // Core.u (wot)
    {0045}(Index: 00157; Format: nffOperator; OperatorPrecedence: 028; Name: '^'), // Core.u (wot)
    {0046}(Index: 00158; Format: nffOperator; OperatorPrecedence: 028; Name: '|'), // Core.u (wot)
    {0047}(Index: 00159; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0048}(Index: 00160; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (wot)
    {0049}(Index: 00161; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (wot)
    {0050}(Index: 00162; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (wot)
    {0051}(Index: 00163; Format: nffPreOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (wot)
    {0052}(Index: 00164; Format: nffPreOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (wot)
    {0053}(Index: 00165; Format: nffPostOperator; OperatorPrecedence: 000; Name: '++'), // Core.u (wot)
    {0054}(Index: 00166; Format: nffPostOperator; OperatorPrecedence: 000; Name: '--'), // Core.u (wot)
    {0055}(Index: 00167; Format: nffFunction; OperatorPrecedence: 000; Name: 'Rand'), // Core.u (wot)
    {0056}(Index: 00168; Format: nffOperator; OperatorPrecedence: 040; Name: '@'), // Core.u (wot)
    {0057}(Index: 00169; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (wot)
    {0058}(Index: 00170; Format: nffOperator; OperatorPrecedence: 012; Name: '**'), // Core.u (wot)
    {0059}(Index: 00171; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0060}(Index: 00172; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (wot)
    {0061}(Index: 00173; Format: nffOperator; OperatorPrecedence: 018; Name: '%'), // Core.u (wot)
    {0062}(Index: 00174; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (wot)
    {0063}(Index: 00175; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (wot)
    {0064}(Index: 00176; Format: nffOperator; OperatorPrecedence: 024; Name: '<'), // Core.u (wot)
    {0065}(Index: 00177; Format: nffOperator; OperatorPrecedence: 024; Name: '>'), // Core.u (wot)
    {0066}(Index: 00178; Format: nffOperator; OperatorPrecedence: 024; Name: '<='), // Core.u (wot)
    {0067}(Index: 00179; Format: nffOperator; OperatorPrecedence: 024; Name: '>='), // Core.u (wot)
    {0068}(Index: 00180; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0069}(Index: 00181; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0070}(Index: 00182; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0071}(Index: 00183; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (wot)
    {0072}(Index: 00184; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (wot)
    {0073}(Index: 00185; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (wot)
    {0074}(Index: 00186; Format: nffFunction; OperatorPrecedence: 000; Name: 'Abs'), // Core.u (wot)
    {0075}(Index: 00187; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sin'), // Core.u (wot)
    {0076}(Index: 00188; Format: nffFunction; OperatorPrecedence: 000; Name: 'Cos'), // Core.u (wot)
    {0077}(Index: 00189; Format: nffFunction; OperatorPrecedence: 000; Name: 'Tan'), // Core.u (wot)
    {0078}(Index: 00190; Format: nffFunction; OperatorPrecedence: 000; Name: 'Atan'), // Core.u (wot)
    {0079}(Index: 00191; Format: nffFunction; OperatorPrecedence: 000; Name: 'Exp'), // Core.u (wot)
    {0080}(Index: 00192; Format: nffFunction; OperatorPrecedence: 000; Name: 'Loge'), // Core.u (wot)
    {0081}(Index: 00193; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sqrt'), // Core.u (wot)
    {0082}(Index: 00194; Format: nffFunction; OperatorPrecedence: 000; Name: 'Square'), // Core.u (wot)
    {0083}(Index: 00195; Format: nffFunction; OperatorPrecedence: 000; Name: 'FRand'), // Core.u (wot)
    {0084}(Index: 00196; Format: nffOperator; OperatorPrecedence: 022; Name: '>>>'), // Core.u (wot)
    {0085}(Index: 00203; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0086}(Index: 00210; Format: nffOperator; OperatorPrecedence: 024; Name: '~='), // Core.u (wot)
    {0087}(Index: 00211; Format: nffPreOperator; OperatorPrecedence: 000; Name: '-'), // Core.u (wot)
    {0088}(Index: 00212; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0089}(Index: 00213; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0090}(Index: 00214; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (wot)
    {0091}(Index: 00215; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (wot)
    {0092}(Index: 00216; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (wot)
    {0093}(Index: 00217; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0094}(Index: 00218; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0095}(Index: 00219; Format: nffOperator; OperatorPrecedence: 016; Name: 'Dot'), // Core.u (wot)
    {0096}(Index: 00220; Format: nffOperator; OperatorPrecedence: 016; Name: 'Cross'), // Core.u (wot)
    {0097}(Index: 00221; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0098}(Index: 00222; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (wot)
    {0099}(Index: 00223; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (wot)
    {0100}(Index: 00224; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (wot)
    {0101}(Index: 00225; Format: nffFunction; OperatorPrecedence: 000; Name: 'VSize'), // Core.u (wot)
    {0102}(Index: 00226; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normal'), // Core.u (wot)
    {0103}(Index: 00227; Format: nffFunction; OperatorPrecedence: 000; Name: 'Invert'), // Core.u (wot)
    {0104}(Index: 00229; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAxes'), // Core.u (wot)
    {0105}(Index: 00230; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetUnAxes'), // Core.u (wot)
    {0106}(Index: 00231; Format: nffFunction; OperatorPrecedence: 000; Name: 'Log'), // Core.u (wot)
    {0107}(Index: 00232; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warn'), // Core.u (wot)
    {0108}(Index: 00233; Format: nffFunction; OperatorPrecedence: 000; Name: 'Error'), // Engine.u (wot)
    {0109}(Index: 00234; Format: nffFunction; OperatorPrecedence: 000; Name: 'Right'), // Core.u (wot)
    {0110}(Index: 00235; Format: nffFunction; OperatorPrecedence: 000; Name: 'Caps'), // Core.u (wot)
    {0111}(Index: 00236; Format: nffFunction; OperatorPrecedence: 000; Name: 'Chr'), // Core.u (wot)
    {0112}(Index: 00237; Format: nffFunction; OperatorPrecedence: 000; Name: 'Asc'), // Core.u (wot)
    {0113}(Index: 00242; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0114}(Index: 00243; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0115}(Index: 00244; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMin'), // Core.u (wot)
    {0116}(Index: 00245; Format: nffFunction; OperatorPrecedence: 000; Name: 'FMax'), // Core.u (wot)
    {0117}(Index: 00246; Format: nffFunction; OperatorPrecedence: 000; Name: 'FClamp'), // Core.u (wot)
    {0118}(Index: 00247; Format: nffFunction; OperatorPrecedence: 000; Name: 'Lerp'), // Core.u (wot)
    {0119}(Index: 00248; Format: nffFunction; OperatorPrecedence: 000; Name: 'Smerp'), // Core.u (wot)
    {0120}(Index: 00249; Format: nffFunction; OperatorPrecedence: 000; Name: 'Min'), // Core.u (wot)
    {0121}(Index: 00250; Format: nffFunction; OperatorPrecedence: 000; Name: 'Max'), // Core.u (wot)
    {0122}(Index: 00251; Format: nffFunction; OperatorPrecedence: 000; Name: 'Clamp'), // Core.u (wot)
    {0123}(Index: 00252; Format: nffFunction; OperatorPrecedence: 000; Name: 'VRand'), // Core.u (wot)
    {0124}(Index: 00254; Format: nffOperator; OperatorPrecedence: 024; Name: '=='), // Core.u (wot)
    {0125}(Index: 00255; Format: nffOperator; OperatorPrecedence: 026; Name: '!='), // Core.u (wot)
    {0126}(Index: 00256; Format: nffFunction; OperatorPrecedence: 000; Name: 'Sleep'), // Engine.u (wot)
    {0127}(Index: 00258; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClassIsChildOf'), // Core.u (wot)
    {0128}(Index: 00259; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayAnim'), // Engine.u (wot)
    {0129}(Index: 00260; Format: nffFunction; OperatorPrecedence: 000; Name: 'LoopAnim'), // Engine.u (wot)
    {0130}(Index: 00261; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishAnim'), // Engine.u (wot)
    {0131}(Index: 00262; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollision'), // Engine.u (wot)
    {0132}(Index: 00263; Format: nffFunction; OperatorPrecedence: 000; Name: 'HasAnim'), // Engine.u (wot)
    {0133}(Index: 00264; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlaySound'), // Engine.u (wot)
    {0134}(Index: 00266; Format: nffFunction; OperatorPrecedence: 000; Name: 'Move'), // Engine.u (wot)
    {0135}(Index: 00267; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetLocation'), // Engine.u (wot)
    {0136}(Index: 00272; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetOwner'), // Engine.u (wot)
    {0137}(Index: 00275; Format: nffOperator; OperatorPrecedence: 022; Name: '<<'), // Core.u (wot)
    {0138}(Index: 00276; Format: nffOperator; OperatorPrecedence: 022; Name: '>>'), // Core.u (wot)
    {0139}(Index: 00277; Format: nffFunction; OperatorPrecedence: 000; Name: 'Trace'), // Engine.u (wot)
    {0140}(Index: 00278; Format: nffFunction; OperatorPrecedence: 000; Name: 'Spawn'), // Engine.u (wot)
    {0141}(Index: 00279; Format: nffFunction; OperatorPrecedence: 000; Name: 'Destroy'), // Engine.u (wot)
    {0142}(Index: 00280; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetTimer'), // Engine.u (wot)
    {0143}(Index: 00281; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsInState'), // Core.u (wot)
    {0144}(Index: 00282; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsAnimating'), // Engine.u (wot)
    {0145}(Index: 00283; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetCollisionSize'), // Engine.u (wot)
    {0146}(Index: 00284; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetStateName'), // Core.u (wot)
    {0147}(Index: 00287; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0148}(Index: 00288; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0149}(Index: 00289; Format: nffOperator; OperatorPrecedence: 016; Name: '/'), // Core.u (wot)
    {0150}(Index: 00290; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0151}(Index: 00291; Format: nffOperator; OperatorPrecedence: 034; Name: '/='), // Core.u (wot)
    {0152}(Index: 00293; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetAnimGroup'), // Engine.u (wot)
    {0153}(Index: 00294; Format: nffFunction; OperatorPrecedence: 000; Name: 'TweenAnim'), // Engine.u (wot)
    {0154}(Index: 00296; Format: nffOperator; OperatorPrecedence: 016; Name: '*'), // Core.u (wot)
    {0155}(Index: 00297; Format: nffOperator; OperatorPrecedence: 034; Name: '*='), // Core.u (wot)
    {0156}(Index: 00298; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetBase'), // Engine.u (wot)
    {0157}(Index: 00299; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetRotation'), // Engine.u (wot)
    {0158}(Index: 00300; Format: nffFunction; OperatorPrecedence: 000; Name: 'MirrorVectorByNormal'), // Core.u (wot)
    {0159}(Index: 00301; Format: nffFunction; OperatorPrecedence: 000; Name: 'FinishInterpolation'), // Engine.u (wot)
    {0160}(Index: 00303; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsA'), // Core.u (wot)
    {0161}(Index: 00304; Format: nffFunction; OperatorPrecedence: 000; Name: 'AllActors'), // Engine.u (wot)
    {0162}(Index: 00305; Format: nffFunction; OperatorPrecedence: 000; Name: 'ChildActors'), // Engine.u (wot)
    {0163}(Index: 00306; Format: nffFunction; OperatorPrecedence: 000; Name: 'BasedActors'), // Engine.u (wot)
    {0164}(Index: 00307; Format: nffFunction; OperatorPrecedence: 000; Name: 'TouchingActors'), // Engine.u (wot)
    {0165}(Index: 00308; Format: nffFunction; OperatorPrecedence: 000; Name: 'ZoneActors'), // Engine.u (wot)
    {0166}(Index: 00309; Format: nffFunction; OperatorPrecedence: 000; Name: 'TraceActors'), // Engine.u (wot)
    {0167}(Index: 00310; Format: nffFunction; OperatorPrecedence: 000; Name: 'RadiusActors'), // Engine.u (wot)
    {0168}(Index: 00311; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleActors'), // Engine.u (wot)
    {0169}(Index: 00312; Format: nffFunction; OperatorPrecedence: 000; Name: 'VisibleCollidingActors'), // Engine.u (wot)
    {0170}(Index: 00314; Format: nffFunction; OperatorPrecedence: 000; Name: 'Warp'), // Engine.u (wot)
    {0171}(Index: 00315; Format: nffFunction; OperatorPrecedence: 000; Name: 'UnWarp'), // Engine.u (wot)
    {0172}(Index: 00316; Format: nffOperator; OperatorPrecedence: 020; Name: '+'), // Core.u (wot)
    {0173}(Index: 00317; Format: nffOperator; OperatorPrecedence: 020; Name: '-'), // Core.u (wot)
    {0174}(Index: 00318; Format: nffOperator; OperatorPrecedence: 034; Name: '+='), // Core.u (wot)
    {0175}(Index: 00319; Format: nffOperator; OperatorPrecedence: 034; Name: '-='), // Core.u (wot)
    {0176}(Index: 00320; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotRand'), // Core.u (wot)
    {0177}(Index: 00464; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrLen'), // Engine.u (wot)
    {0178}(Index: 00465; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (wot)
    {0179}(Index: 00466; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (wot)
    {0180}(Index: 00467; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawActor'), // Engine.u (wot)
    {0181}(Index: 00468; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTileClipped'), // Engine.u (wot)
    {0182}(Index: 00469; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTextClipped'), // Engine.u (wot)
    {0183}(Index: 00470; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (wot)
    {0184}(Index: 00471; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawClippedActor'), // Engine.u (wot)
    {0185}(Index: 00472; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawText'), // Engine.u (wot)
    {0186}(Index: 00473; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawTile'), // Engine.u (wot)
    {0187}(Index: 00474; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawColoredText'), // Engine.u (wot)
    {0188}(Index: 00475; Format: nffFunction; OperatorPrecedence: 000; Name: 'ReplaceTexture'), // Engine.u (wot)
    {0189}(Index: 00476; Format: nffFunction; OperatorPrecedence: 000; Name: 'TextSize'), // Engine.u (wot)
    {0190}(Index: 00480; Format: nffFunction; OperatorPrecedence: 000; Name: 'DrawPortal'), // Engine.u (wot)
    {0191}(Index: 00500; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveTo'), // Engine.u (wot)
    {0192}(Index: 00502; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveToward'), // Engine.u (wot)
    {0193}(Index: 00504; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeTo'), // Engine.u (wot)
    {0194}(Index: 00506; Format: nffFunction; OperatorPrecedence: 000; Name: 'StrafeFacing'), // Engine.u (wot)
    {0195}(Index: 00508; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnTo'), // Engine.u (wot)
    {0196}(Index: 00510; Format: nffFunction; OperatorPrecedence: 000; Name: 'TurnToward'), // Engine.u (wot)
    {0197}(Index: 00512; Format: nffFunction; OperatorPrecedence: 000; Name: 'MakeNoise'), // Engine.u (wot)
    {0198}(Index: 00514; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineOfSightTo'), // Engine.u (wot)
    {0199}(Index: 00517; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathToward'), // Engine.u (wot)
    {0200}(Index: 00518; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindPathTo'), // Engine.u (wot)
    {0201}(Index: 00519; Format: nffFunction; OperatorPrecedence: 000; Name: 'describeSpec'), // Engine.u (wot)
    {0202}(Index: 00520; Format: nffFunction; OperatorPrecedence: 000; Name: 'actorReachable'), // Engine.u (wot)
    {0203}(Index: 00521; Format: nffFunction; OperatorPrecedence: 000; Name: 'pointReachable'), // Engine.u (wot)
    {0204}(Index: 00522; Format: nffFunction; OperatorPrecedence: 000; Name: 'ClearPaths'), // Engine.u (wot)
    {0205}(Index: 00523; Format: nffFunction; OperatorPrecedence: 000; Name: 'EAdjustJump'), // Engine.u (wot)
    {0206}(Index: 00524; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindStairRotation'), // Engine.u (wot)
    {0207}(Index: 00525; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindRandomDest'), // Engine.u (wot)
    {0208}(Index: 00526; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickWallAdjust'), // Engine.u (wot)
    {0209}(Index: 00527; Format: nffFunction; OperatorPrecedence: 000; Name: 'WaitForLanding'), // Engine.u (wot)
    {0210}(Index: 00529; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddPawn'), // Engine.u (wot)
    {0211}(Index: 00530; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemovePawn'), // Engine.u (wot)
    {0212}(Index: 00531; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickTarget'), // Engine.u (wot)
    {0213}(Index: 00532; Format: nffFunction; OperatorPrecedence: 000; Name: 'PlayerCanSeeMe'), // Engine.u (wot)
    {0214}(Index: 00533; Format: nffFunction; OperatorPrecedence: 000; Name: 'CanSee'), // Engine.u (wot)
    {0215}(Index: 00534; Format: nffFunction; OperatorPrecedence: 000; Name: 'PickAnyTarget'), // Engine.u (wot)
    {0216}(Index: 00536; Format: nffFunction; OperatorPrecedence: 000; Name: 'SaveConfig'), // Core.u (wot)
    {0217}(Index: 00539; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetMapName'), // Engine.u (wot)
    {0218}(Index: 00540; Format: nffFunction; OperatorPrecedence: 000; Name: 'FindBestInventoryPath'), // Engine.u (wot)
    {0219}(Index: 00544; Format: nffFunction; OperatorPrecedence: 000; Name: 'ResetKeyboard'), // Engine.u (wot)
    {0220}(Index: 00545; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNextSkin'), // Engine.u (wot)
    {0221}(Index: 00546; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateURL'), // Engine.u (wot)
    {0222}(Index: 00547; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetURLMap'), // Engine.u (wot)
    {0223}(Index: 01001; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddDecal'), // Legend.u (wot)
    {0224}(Index: 01003; Format: nffFunction; OperatorPrecedence: 000; Name: 'ShiftParticles'), // ParticleSystems.u (wot)
    {0225}(Index: 01004; Format: nffFunction; OperatorPrecedence: 000; Name: 'RotateParticles'), // ParticleSystems.u (wot)
    {0226}(Index: 01010; Format: nffFunction; OperatorPrecedence: 000; Name: 'Update'), // Legend.u (wot)
    {0227}(Index: 01011; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateRadius'), // Legend.u (wot)
    {0228}(Index: 01012; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateRotationRate'), // Legend.u (wot)
    {0229}(Index: 01013; Format: nffFunction; OperatorPrecedence: 000; Name: 'UpdateHeight'), // Legend.u (wot)
    {0230}(Index: 01014; Format: nffFunction; OperatorPrecedence: 000; Name: 'CalcNextRadius'), // Legend.u (wot)
    {0231}(Index: 01015; Format: nffFunction; OperatorPrecedence: 000; Name: 'CalcNextRotationRate'), // Legend.u (wot)
    {0232}(Index: 01016; Format: nffFunction; OperatorPrecedence: 000; Name: 'CalcNextHeight'), // Legend.u (wot)
    {0233}(Index: 01020; Format: nffFunction; OperatorPrecedence: 000; Name: 'Reposition'), // Legend.u (wot)
    {0234}(Index: 01030; Format: nffFunction; OperatorPrecedence: 000; Name: 'OrthoRotation'), // Core.u (wot)
    {0235}(Index: 01031; Format: nffFunction; OperatorPrecedence: 000; Name: 'Normalize'), // Core.u (wot)
    {0236}(Index: 01032; Format: nffFunction; OperatorPrecedence: 000; Name: 'Delete'), // Core.u (wot)
    {0237}(Index: 01033; Format: nffFunction; OperatorPrecedence: 000; Name: 'RandRange'), // Core.u (wot)
    {0238}(Index: 01040; Format: nffFunction; OperatorPrecedence: 000; Name: 'BuildPath'), // Legend.u (wot)
    {0239}(Index: 01041; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetCurrent'), // Legend.u (wot)
    {0240}(Index: 01042; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFirst'), // Legend.u (wot)
    {0241}(Index: 01043; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetLast'), // Legend.u (wot)
    {0242}(Index: 01044; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNext'), // Legend.u (wot)
    {0243}(Index: 01045; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetPrevious'), // Legend.u (wot)
    {0244}(Index: 01061; Format: nffFunction; OperatorPrecedence: 000; Name: 'LineCheck'), // Engine.u (wot)
    {0245}(Index: 01070; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddProjectile'), // Engine.u (wot)
    {0246}(Index: 01071; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveProjectile'), // Engine.u (wot)
    {0247}(Index: 01080; Format: nffFunction; OperatorPrecedence: 000; Name: 'AddItem'), // Engine.u (wot)
    {0248}(Index: 01081; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveItem'), // Engine.u (wot)
    {0249}(Index: 01082; Format: nffFunction; OperatorPrecedence: 000; Name: 'RemoveAll'), // Engine.u (wot)
    {0250}(Index: 01083; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetFirst'), // Engine.u (wot)
    {0251}(Index: 01084; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetNext'), // Engine.u (wot)
    {0252}(Index: 01085; Format: nffFunction; OperatorPrecedence: 000; Name: 'GetCurrent'), // Engine.u (wot)
    {0253}(Index: 01086; Format: nffFunction; OperatorPrecedence: 000; Name: 'IsDone'), // Engine.u (wot)
    {0254}(Index: 03969; Format: nffFunction; OperatorPrecedence: 000; Name: 'MoveSmooth'), // Engine.u (wot)
    {0255}(Index: 03970; Format: nffFunction; OperatorPrecedence: 000; Name: 'SetPhysics'), // Engine.u (wot)
    {0256}(Index: 03971; Format: nffFunction; OperatorPrecedence: 000; Name: 'AutonomousPhysics') // Engine.u (wot)
    );

  // Unreal 2 (E3 Pre-Alpha)

  NativeFunctions_U2: array[0..284] of TNativeFunction = (
    {0000} (Index:00112;Format:nffOperator    ;OperatorPrecedence:040;Name:'$'                      ), // Core.u (u2)
    {0001} (Index:00113;Format:nffFunction    ;OperatorPrecedence:000;Name:'GotoState'              ), // Core.u (u2)
    {0002} (Index:00114;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0003} (Index:00115;Format:nffOperator    ;OperatorPrecedence:024;Name:'<'                      ), // Core.u (u2)
    {0004} (Index:00116;Format:nffOperator    ;OperatorPrecedence:024;Name:'>'                      ), // Core.u (u2)
    {0005} (Index:00117;Format:nffFunction    ;OperatorPrecedence:000;Name:'Enable'                 ), // Core.u (u2)
    {0006} (Index:00118;Format:nffFunction    ;OperatorPrecedence:000;Name:'Disable'                ), // Core.u (u2)
    {0007} (Index:00119;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0008} (Index:00120;Format:nffOperator    ;OperatorPrecedence:024;Name:'<='                     ), // Core.u (u2)
    {0009} (Index:00121;Format:nffOperator    ;OperatorPrecedence:024;Name:'>='                     ), // Core.u (u2)
    {0010} (Index:00122;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0011} (Index:00123;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0012} (Index:00124;Format:nffOperator    ;OperatorPrecedence:024;Name:'~='                     ), // Core.u (u2)
    {0013} (Index:00125;Format:nffFunction    ;OperatorPrecedence:000;Name:'Len'                    ), // Core.u (u2)
    {0014} (Index:00126;Format:nffFunction    ;OperatorPrecedence:000;Name:'InStr'                  ), // Core.u (u2)
    {0015} (Index:00127;Format:nffFunction    ;OperatorPrecedence:000;Name:'Mid'                    ), // Core.u (u2)
    {0016} (Index:00128;Format:nffFunction    ;OperatorPrecedence:000;Name:'Left'                   ), // Core.u (u2)
    {0017} (Index:00129;Format:nffPreOperator ;OperatorPrecedence:000;Name:'!'                      ), // Core.u (u2)
    {0018} (Index:00130;Format:nffOperator    ;OperatorPrecedence:010{030};Name:'&&'                ), // Core.u (u2)
    {0019} (Index:00131;Format:nffOperator    ;OperatorPrecedence:010{030};Name:'^^'                ), // Core.u (u2)
    {0020} (Index:00132;Format:nffOperator    ;OperatorPrecedence:011{032};Name:'||'                ), // Core.u (u2)
    {0021} (Index:00133;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0022} (Index:00134;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0023} (Index:00135;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0024} (Index:00136;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0025} (Index:00137;Format:nffPreOperator ;OperatorPrecedence:000;Name:'++'                     ), // Core.u (u2)
    {0026} (Index:00138;Format:nffPreOperator ;OperatorPrecedence:000;Name:'--'                     ), // Core.u (u2)
    {0027} (Index:00139;Format:nffPostOperator;OperatorPrecedence:000;Name:'++'                     ), // Core.u (u2)
    {0028} (Index:00140;Format:nffPostOperator;OperatorPrecedence:000;Name:'--'                     ), // Core.u (u2)
    {0029} (Index:00141;Format:nffPreOperator ;OperatorPrecedence:000;Name:'~'                      ), // Core.u (u2)
    {0030} (Index:00142;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0031} (Index:00143;Format:nffPreOperator ;OperatorPrecedence:000;Name:'-'                      ), // Core.u (u2)
    {0032} (Index:00144;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0033} (Index:00145;Format:nffOperator    ;OperatorPrecedence:016;Name:'/'                      ), // Core.u (u2)
    {0034} (Index:00146;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Core.u (u2)
    {0035} (Index:00147;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Core.u (u2)
    {0036} (Index:00148;Format:nffOperator    ;OperatorPrecedence:022;Name:'<<'                     ), // Core.u (u2)
    {0037} (Index:00149;Format:nffOperator    ;OperatorPrecedence:022;Name:'>>'                     ), // Core.u (u2)
    {0038} (Index:00150;Format:nffOperator    ;OperatorPrecedence:024;Name:'<'                      ), // Core.u (u2)
    {0039} (Index:00151;Format:nffOperator    ;OperatorPrecedence:024;Name:'>'                      ), // Core.u (u2)
    {0040} (Index:00152;Format:nffOperator    ;OperatorPrecedence:024;Name:'<='                     ), // Core.u (u2)
    {0041} (Index:00153;Format:nffOperator    ;OperatorPrecedence:024;Name:'>='                     ), // Core.u (u2)
    {0042} (Index:00154;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0043} (Index:00155;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0044} (Index:00156;Format:nffOperator    ;OperatorPrecedence:028;Name:'&'                      ), // Core.u (u2)
    {0045} (Index:00157;Format:nffOperator    ;OperatorPrecedence:028;Name:'^'                      ), // Core.u (u2)
    {0046} (Index:00158;Format:nffOperator    ;OperatorPrecedence:028;Name:'|'                      ), // Core.u (u2)
    {0047} (Index:00159;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0048} (Index:00160;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0049} (Index:00161;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0050} (Index:00162;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0051} (Index:00163;Format:nffPreOperator ;OperatorPrecedence:000;Name:'++'                     ), // Core.u (u2)
    {0052} (Index:00164;Format:nffPreOperator ;OperatorPrecedence:000;Name:'--'                     ), // Core.u (u2)
    {0053} (Index:00165;Format:nffPostOperator;OperatorPrecedence:000;Name:'++'                     ), // Core.u (u2)
    {0054} (Index:00166;Format:nffPostOperator;OperatorPrecedence:000;Name:'--'                     ), // Core.u (u2)
    {0055} (Index:00167;Format:nffFunction    ;OperatorPrecedence:000;Name:'Rand'                   ), // Core.u (u2)
    {0056} (Index:00168;Format:nffOperator    ;OperatorPrecedence:040;Name:'@'                      ), // Core.u (u2)
    {0057} (Index:00169;Format:nffPreOperator ;OperatorPrecedence:000;Name:'-'                      ), // Core.u (u2)
    {0058} (Index:00170;Format:nffOperator    ;OperatorPrecedence:012;Name:'**'                     ), // Core.u (u2)
    {0059} (Index:00171;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0060} (Index:00172;Format:nffOperator    ;OperatorPrecedence:016;Name:'/'                      ), // Core.u (u2)
    {0061} (Index:00173;Format:nffOperator    ;OperatorPrecedence:018;Name:'%'                      ), // Core.u (u2)
    {0062} (Index:00174;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Core.u (u2)
    {0063} (Index:00175;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Core.u (u2)
    {0064} (Index:00176;Format:nffOperator    ;OperatorPrecedence:024;Name:'<'                      ), // Core.u (u2)
    {0065} (Index:00177;Format:nffOperator    ;OperatorPrecedence:024;Name:'>'                      ), // Core.u (u2)
    {0066} (Index:00178;Format:nffOperator    ;OperatorPrecedence:024;Name:'<='                     ), // Core.u (u2)
    {0067} (Index:00179;Format:nffOperator    ;OperatorPrecedence:024;Name:'>='                     ), // Core.u (u2)
    {0068} (Index:00180;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0069} (Index:00181;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0070} (Index:00182;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0071} (Index:00183;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0072} (Index:00184;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0073} (Index:00185;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0074} (Index:00186;Format:nffFunction    ;OperatorPrecedence:000;Name:'Abs'                    ), // Core.u (u2)
    {0075} (Index:00187;Format:nffFunction    ;OperatorPrecedence:000;Name:'Sin'                    ), // Core.u (u2)
    {0076} (Index:00188;Format:nffFunction    ;OperatorPrecedence:000;Name:'Cos'                    ), // Core.u (u2)
    {0077} (Index:00189;Format:nffFunction    ;OperatorPrecedence:000;Name:'Tan'                    ), // Core.u (u2)
    {0078} (Index:00190;Format:nffFunction    ;OperatorPrecedence:000;Name:'Atan'                   ), // Core.u (u2)
    {0079} (Index:00191;Format:nffFunction    ;OperatorPrecedence:000;Name:'Exp'                    ), // Core.u (u2)
    {0080} (Index:00192;Format:nffFunction    ;OperatorPrecedence:000;Name:'Loge'                   ), // Core.u (u2)
    {0081} (Index:00193;Format:nffFunction    ;OperatorPrecedence:000;Name:'Sqrt'                   ), // Core.u (u2)
    {0082} (Index:00194;Format:nffFunction    ;OperatorPrecedence:000;Name:'Square'                 ), // Core.u (u2)
    {0083} (Index:00195;Format:nffFunction    ;OperatorPrecedence:000;Name:'FRand'                  ), // Core.u (u2)
    {0084} (Index:00196;Format:nffOperator    ;OperatorPrecedence:022;Name:'>>>'                    ), // Core.u (u2)
    {0085} (Index:00203;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0086} (Index:00210;Format:nffOperator    ;OperatorPrecedence:024;Name:'~='                     ), // Core.u (u2)
    {0087} (Index:00211;Format:nffPreOperator ;OperatorPrecedence:000;Name:'-'                      ), // Core.u (u2)
    {0088} (Index:00212;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0089} (Index:00213;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0090} (Index:00214;Format:nffOperator    ;OperatorPrecedence:016;Name:'/'                      ), // Core.u (u2)
    {0091} (Index:00215;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Core.u (u2)
    {0092} (Index:00216;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Core.u (u2)
    {0093} (Index:00217;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0094} (Index:00218;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0095} (Index:00219;Format:nffOperator    ;OperatorPrecedence:016;Name:'Dot'                    ), // Core.u (u2)
    {0096} (Index:00220;Format:nffOperator    ;OperatorPrecedence:016;Name:'Cross'                  ), // Core.u (u2)
    {0097} (Index:00221;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0098} (Index:00222;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0099} (Index:00223;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0100} (Index:00224;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0101} (Index:00225;Format:nffFunction    ;OperatorPrecedence:000;Name:'VSize'                  ), // Core.u (u2)
    {0102} (Index:00226;Format:nffFunction    ;OperatorPrecedence:000;Name:'Normal'                 ), // Core.u (u2)
    {0103} (Index:00227;Format:nffFunction    ;OperatorPrecedence:000;Name:'Invert'                 ), // Core.u (u2)
    {0104} (Index:00229;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetAxes'                ), // Core.u (u2)
    {0105} (Index:00230;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetUnAxes'              ), // Core.u (u2)
    {0106} (Index:00231;Format:nffFunction    ;OperatorPrecedence:000;Name:'Log'                    ), // Core.u (u2)
    {0107} (Index:00232;Format:nffFunction    ;OperatorPrecedence:000;Name:'Warn'                   ), // Core.u (u2)
    {0108} (Index:00233;Format:nffFunction    ;OperatorPrecedence:000;Name:'Error'                  ), // Engine.u (u2)
    {0109} (Index:00234;Format:nffFunction    ;OperatorPrecedence:000;Name:'Right'                  ), // Core.u (u2)
    {0110} (Index:00235;Format:nffFunction    ;OperatorPrecedence:000;Name:'Caps'                   ), // Core.u (u2)
    {0111} (Index:00236;Format:nffFunction    ;OperatorPrecedence:000;Name:'Chr'                    ), // Core.u (u2)
    {0112} (Index:00237;Format:nffFunction    ;OperatorPrecedence:000;Name:'Asc'                    ), // Core.u (u2)
    {0113} (Index:00242;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0114} (Index:00243;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0115} (Index:00244;Format:nffFunction    ;OperatorPrecedence:000;Name:'FMin'                   ), // Core.u (u2)
    {0116} (Index:00245;Format:nffFunction    ;OperatorPrecedence:000;Name:'FMax'                   ), // Core.u (u2)
    {0117} (Index:00246;Format:nffFunction    ;OperatorPrecedence:000;Name:'FClamp'                 ), // Core.u (u2)
    {0118} (Index:00247;Format:nffFunction    ;OperatorPrecedence:000;Name:'Lerp'                   ), // Core.u (u2)
    {0119} (Index:00248;Format:nffFunction    ;OperatorPrecedence:000;Name:'Smerp'                  ), // Core.u (u2)
    {0120} (Index:00249;Format:nffFunction    ;OperatorPrecedence:000;Name:'Min'                    ), // Core.u (u2)
    {0121} (Index:00250;Format:nffFunction    ;OperatorPrecedence:000;Name:'Max'                    ), // Core.u (u2)
    {0122} (Index:00251;Format:nffFunction    ;OperatorPrecedence:000;Name:'Clamp'                  ), // Core.u (u2)
    {0123} (Index:00252;Format:nffFunction    ;OperatorPrecedence:000;Name:'VRand'                  ), // Core.u (u2)
    {0124} (Index:00253;Format:nffFunction    ;OperatorPrecedence:000;Name:'RandomSpreadVector'     ), // Core.u (u2)
    {0125} (Index:00254;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0126} (Index:00255;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0127} (Index:00256;Format:nffFunction    ;OperatorPrecedence:000;Name:'Sleep'                  ), // Engine.u (u2)
    {0128} (Index:00258;Format:nffFunction    ;OperatorPrecedence:000;Name:'ClassIsChildOf'         ), // Core.u (u2)
    {0129} (Index:00259;Format:nffFunction    ;OperatorPrecedence:000;Name:'PlayAnim'               ), // Engine.u (u2)
    {0130} (Index:00260;Format:nffFunction    ;OperatorPrecedence:000;Name:'LoopAnim'               ), // Engine.u (u2)
    {0131} (Index:00261;Format:nffFunction    ;OperatorPrecedence:000;Name:'FinishAnim'             ), // Engine.u (u2)
    {0132} (Index:00262;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetCollision'           ), // Engine.u (u2)
    {0133} (Index:00263;Format:nffFunction    ;OperatorPrecedence:000;Name:'HasAnim'                ), // Engine.u (u2)
    {0134} (Index:00264;Format:nffFunction    ;OperatorPrecedence:000;Name:'PlaySound'              ), // Engine.u (u2)
    {0135} (Index:00266;Format:nffFunction    ;OperatorPrecedence:000;Name:'Move'                   ), // Engine.u (u2)
    {0136} (Index:00267;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetLocation'            ), // Engine.u (u2)
    {0137} (Index:00272;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetOwner'               ), // Engine.u (u2)
    {0138} (Index:00275;Format:nffOperator    ;OperatorPrecedence:022;Name:'<<'                     ), // Core.u (u2)
    {0139} (Index:00276;Format:nffOperator    ;OperatorPrecedence:022;Name:'>>'                     ), // Core.u (u2)
    {0140} (Index:00277;Format:nffFunction    ;OperatorPrecedence:000;Name:'Trace'                  ), // Engine.u (u2)
    {0141} (Index:00278;Format:nffFunction    ;OperatorPrecedence:000;Name:'Spawn'                  ), // Engine.u (u2)
    {0142} (Index:00279;Format:nffFunction    ;OperatorPrecedence:000;Name:'Destroy'                ), // Engine.u (u2)
    {0143} (Index:00280;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetTimer'               ), // Engine.u (u2)
    {0144} (Index:00281;Format:nffFunction    ;OperatorPrecedence:000;Name:'IsInState'              ), // Core.u (u2)
    {0145} (Index:00282;Format:nffFunction    ;OperatorPrecedence:000;Name:'IsAnimating'            ), // Engine.u (u2)
    {0146} (Index:00283;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetCollisionSize'       ), // Engine.u (u2)
    {0147} (Index:00284;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetStateName'           ), // Core.u (u2)
    {0148} (Index:00287;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0149} (Index:00288;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0150} (Index:00289;Format:nffOperator    ;OperatorPrecedence:016;Name:'/'                      ), // Core.u (u2)
    {0151} (Index:00290;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0152} (Index:00291;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0153} (Index:00293;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetAnimGroup'           ), // Engine.u (u2)
    {0154} (Index:00294;Format:nffFunction    ;OperatorPrecedence:000;Name:'TweenAnim'              ), // Engine.u (u2)
    {0155} (Index:00296;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0156} (Index:00297;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0157} (Index:00298;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetBase'                ), // Engine.u (u2)
    {0158} (Index:00299;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetRotation'            ), // Engine.u (u2)
    {0159} (Index:00300;Format:nffFunction    ;OperatorPrecedence:000;Name:'MirrorVectorByNormal'   ), // Core.u (u2)
    {0160} (Index:00301;Format:nffFunction    ;OperatorPrecedence:000;Name:'FinishInterpolation'    ), // Engine.u (u2)
    {0161} (Index:00303;Format:nffFunction    ;OperatorPrecedence:000;Name:'IsA'                    ), // Core.u (u2)
    {0162} (Index:00304;Format:nffFunction    ;OperatorPrecedence:000;Name:'AllActors'              ), // Engine.u (u2)
    {0163} (Index:00305;Format:nffFunction    ;OperatorPrecedence:000;Name:'ChildActors'            ), // Engine.u (u2)
    {0164} (Index:00306;Format:nffFunction    ;OperatorPrecedence:000;Name:'BasedActors'            ), // Engine.u (u2)
    {0165} (Index:00307;Format:nffFunction    ;OperatorPrecedence:000;Name:'TouchingActors'         ), // Engine.u (u2)
    {0166} (Index:00308;Format:nffFunction    ;OperatorPrecedence:000;Name:'ZoneActors'             ), // Engine.u (u2)
    {0167} (Index:00309;Format:nffFunction    ;OperatorPrecedence:000;Name:'TraceActors'            ), // Engine.u (u2)
    {0168} (Index:00310;Format:nffFunction    ;OperatorPrecedence:000;Name:'RadiusActors'           ), // Engine.u (u2)
    {0169} (Index:00311;Format:nffFunction    ;OperatorPrecedence:000;Name:'VisibleActors'          ), // Engine.u (u2)
    {0170} (Index:00312;Format:nffFunction    ;OperatorPrecedence:000;Name:'VisibleCollidingActors' ), // Engine.u (u2)
    {0171} (Index:00313;Format:nffFunction    ;OperatorPrecedence:000;Name:'DynamicActors'          ), // Engine.u (u2)
    {0172} (Index:00314;Format:nffFunction    ;OperatorPrecedence:000;Name:'Warp'                   ), // Engine.u (u2)
    {0173} (Index:00315;Format:nffFunction    ;OperatorPrecedence:000;Name:'UnWarp'                 ), // Engine.u (u2)
    {0174} (Index:00316;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Core.u (u2)
    {0175} (Index:00317;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Core.u (u2)
    {0176} (Index:00318;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0177} (Index:00319;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0178} (Index:00320;Format:nffFunction    ;OperatorPrecedence:000;Name:'RotRand'                ), // Core.u (u2)
    {0179} (Index:00321;Format:nffPreOperator ;OperatorPrecedence:000;Name:'-'                      ), // Core.u (u2)
    {0180} (Index:00322;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0181} (Index:00323;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0182} (Index:00324;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Core.u (u2)
    {0183} (Index:00325;Format:nffOperator    ;OperatorPrecedence:016;Name:'/'                      ), // Core.u (u2)
    {0184} (Index:00326;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Core.u (u2)
    {0185} (Index:00327;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Core.u (u2)
    {0186} (Index:00328;Format:nffOperator    ;OperatorPrecedence:024;Name:'=='                     ), // Core.u (u2)
    {0187} (Index:00329;Format:nffOperator    ;OperatorPrecedence:026;Name:'!='                     ), // Core.u (u2)
    {0188} (Index:00330;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0189} (Index:00331;Format:nffOperator    ;OperatorPrecedence:034;Name:'*='                     ), // Core.u (u2)
    {0190} (Index:00332;Format:nffOperator    ;OperatorPrecedence:034;Name:'/='                     ), // Core.u (u2)
    {0191} (Index:00333;Format:nffOperator    ;OperatorPrecedence:034;Name:'+='                     ), // Core.u (u2)
    {0192} (Index:00334;Format:nffOperator    ;OperatorPrecedence:034;Name:'-='                     ), // Core.u (u2)
    {0193} (Index:00335;Format:nffOperator    ;OperatorPrecedence:010;Name:'@='                     ), // Core.u (u2)
    {0194} (Index:00336;Format:nffFunction    ;OperatorPrecedence:000;Name:'RSize'                  ), // Core.u (u2)
    {0195} (Index:00337;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetRand'                ), // Core.u (u2)
    {0196} (Index:00338;Format:nffFunction    ;OperatorPrecedence:000;Name:'RMin'                   ), // Core.u (u2)
    {0197} (Index:00339;Format:nffFunction    ;OperatorPrecedence:000;Name:'RMax'                   ), // Core.u (u2)
    {0198} (Index:00464;Format:nffFunction    ;OperatorPrecedence:000;Name:'StrLen'                 ), // Engine.u (u2)
    {0199} (Index:00465;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawText'               ), // Engine.u (u2)
    {0200} (Index:00466;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawTile'               ), // Engine.u (u2)
    {0201} (Index:00467;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawActor'              ), // Engine.u (u2)
    {0202} (Index:00468;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawTileClipped'        ), // Engine.u (u2)
    {0203} (Index:00469;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawTextClipped'        ), // Engine.u (u2)
    {0204} (Index:00470;Format:nffFunction    ;OperatorPrecedence:000;Name:'TextSize'               ), // Engine.u (u2)
    {0205} (Index:00471;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawClippedActor'       ), // Engine.u (u2)
    {0206} (Index:00472;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawText'               ), // Engine.u (u2)
    {0207} (Index:00473;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawTile'               ), // Engine.u (u2)
    {0208} (Index:00474;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawColoredText'        ), // Engine.u (u2)
    {0209} (Index:00475;Format:nffFunction    ;OperatorPrecedence:000;Name:'ReplaceTexture'         ), // Engine.u (u2)
    {0210} (Index:00476;Format:nffFunction    ;OperatorPrecedence:000;Name:'TextSize'               ), // Engine.u (u2)
    {0211} (Index:00480;Format:nffFunction    ;OperatorPrecedence:000;Name:'DrawPortal'             ), // Engine.u (u2)
    {0212} (Index:00500;Format:nffFunction    ;OperatorPrecedence:000;Name:'MoveTo'                 ), // Engine.u (u2)
    {0213} (Index:00502;Format:nffFunction    ;OperatorPrecedence:000;Name:'MoveToward'             ), // Engine.u (u2)
    {0214} (Index:00508;Format:nffFunction    ;OperatorPrecedence:000;Name:'FinishRotation'         ), // Engine.u (u2)
    {0215} (Index:00512;Format:nffFunction    ;OperatorPrecedence:000;Name:'MakeNoise'              ), // Engine.u (u2)
    {0216} (Index:00514;Format:nffFunction    ;OperatorPrecedence:000;Name:'LineOfSightTo'          ), // Engine.u (u2)
    {0217} (Index:00517;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindPathToward'         ), // Engine.u (u2)
    {0218} (Index:00518;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindPathTo'             ), // Engine.u (u2)
    {0219} (Index:00519;Format:nffFunction    ;OperatorPrecedence:000;Name:'describeSpec'           ), // Engine.u (u2)
    {0220} (Index:00520;Format:nffFunction    ;OperatorPrecedence:000;Name:'actorReachable'         ), // Engine.u (u2)
    {0221} (Index:00521;Format:nffFunction    ;OperatorPrecedence:000;Name:'pointReachable'         ), // Engine.u (u2)
    {0222} (Index:00522;Format:nffFunction    ;OperatorPrecedence:000;Name:'ClearPaths'             ), // Engine.u (u2)
    {0223} (Index:00523;Format:nffFunction    ;OperatorPrecedence:000;Name:'EAdjustJump'            ), // Engine.u (u2)
    {0224} (Index:00524;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindStairRotation'      ), // Engine.u (u2)
    {0225} (Index:00525;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindRandomDest'         ), // Engine.u (u2)
    {0226} (Index:00526;Format:nffFunction    ;OperatorPrecedence:000;Name:'PickWallAdjust'         ), // Engine.u (u2)
    {0227} (Index:00527;Format:nffFunction    ;OperatorPrecedence:000;Name:'WaitForLanding'         ), // Engine.u (u2)
    {0228} (Index:00529;Format:nffFunction    ;OperatorPrecedence:000;Name:'AddController'          ), // Engine.u (u2)
    {0229} (Index:00530;Format:nffFunction    ;OperatorPrecedence:000;Name:'RemoveController'       ), // Engine.u (u2)
    {0230} (Index:00531;Format:nffFunction    ;OperatorPrecedence:000;Name:'PickTarget'             ), // Engine.u (u2)
    {0231} (Index:00532;Format:nffFunction    ;OperatorPrecedence:000;Name:'PlayerCanSeeMe'         ), // Engine.u (u2)
    {0232} (Index:00533;Format:nffFunction    ;OperatorPrecedence:000;Name:'CanSee'                 ), // Engine.u (u2)
    {0233} (Index:00534;Format:nffFunction    ;OperatorPrecedence:000;Name:'PickAnyTarget'          ), // Engine.u (u2)
    {0234} (Index:00536;Format:nffFunction    ;OperatorPrecedence:000;Name:'SaveConfig'             ), // Core.u (u2)
    {0235} (Index:00539;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetMapName'             ), // Engine.u (u2)
    {0236} (Index:00540;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindBestInventoryPath'  ), // Engine.u (u2)
    {0237} (Index:00544;Format:nffFunction    ;OperatorPrecedence:000;Name:'ResetKeyboard'          ), // Engine.u (u2)
    {0238} (Index:00545;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetNextSkin'            ), // Engine.u (u2)
    {0239} (Index:00546;Format:nffFunction    ;OperatorPrecedence:000;Name:'UpdateURL'              ), // Engine.u (u2)
    {0240} (Index:00547;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetURLMap'              ), // Engine.u (u2)
    {0241} (Index:00548;Format:nffFunction    ;OperatorPrecedence:000;Name:'FastTrace'              ), // Engine.u (u2)
    {0242} (Index:00549;Format:nffOperator    ;OperatorPrecedence:020;Name:'-'                      ), // Engine.u (u2)
    {0243} (Index:00550;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Engine.u (u2)
    {0244} (Index:00551;Format:nffOperator    ;OperatorPrecedence:020;Name:'+'                      ), // Engine.u (u2)
    {0245} (Index:00552;Format:nffOperator    ;OperatorPrecedence:016;Name:'*'                      ), // Engine.u (u2)
    {0246} (Index:01001;Format:nffFunction    ;OperatorPrecedence:000;Name:'AddDecal'               ), // Legend.u (u2)
    {0247} (Index:01003;Format:nffFunction    ;OperatorPrecedence:000;Name:'ShiftParticles'         ), // ParticleSystems.u (u2)
    {0248} (Index:01004;Format:nffFunction    ;OperatorPrecedence:000;Name:'RotateParticles'        ), // ParticleSystems.u (u2)
    {0249} (Index:01010;Format:nffFunction    ;OperatorPrecedence:000;Name:'Update'                 ), // Legend.u (u2)
    {0250} (Index:01011;Format:nffFunction    ;OperatorPrecedence:000;Name:'UpdateRadius'           ), // Legend.u (u2)
    {0251} (Index:01012;Format:nffFunction    ;OperatorPrecedence:000;Name:'UpdateRotationRate'     ), // Legend.u (u2)
    {0252} (Index:01013;Format:nffFunction    ;OperatorPrecedence:000;Name:'UpdateHeight'           ), // Legend.u (u2)
    {0253} (Index:01014;Format:nffFunction    ;OperatorPrecedence:000;Name:'CalcNextRadius'         ), // Legend.u (u2)
    {0254} (Index:01015;Format:nffFunction    ;OperatorPrecedence:000;Name:'CalcNextRotationRate'   ), // Legend.u (u2)
    {0255} (Index:01016;Format:nffFunction    ;OperatorPrecedence:000;Name:'CalcNextHeight'         ), // Legend.u (u2)
    {0256} (Index:01020;Format:nffFunction    ;OperatorPrecedence:000;Name:'Reposition'             ), // Legend.u (u2)
    {0257} (Index:01032;Format:nffFunction    ;OperatorPrecedence:000;Name:'Delete'                 ), // Core.u (u2)
    {0258} (Index:01033;Format:nffFunction    ;OperatorPrecedence:000;Name:'RandRange'              ), // Core.u (u2)
    {0259} (Index:01034;Format:nffFunction    ;OperatorPrecedence:000;Name:'Blend'                  ), // Core.u (u2)
    {0260} (Index:01035;Format:nffFunction    ;OperatorPrecedence:000;Name:'Ablend'                 ), // Core.u (u2)
    {0261} (Index:01040;Format:nffFunction    ;OperatorPrecedence:000;Name:'BuildPath'              ), // Legend.u (u2)
    {0262} (Index:01041;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetCurrent'             ), // Legend.u (u2)
    {0263} (Index:01042;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetFirst'               ), // Legend.u (u2)
    {0264} (Index:01043;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetLast'                ), // Legend.u (u2)
    {0265} (Index:01044;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetNext'                ), // Legend.u (u2)
    {0266} (Index:01045;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetPrevious'            ), // Legend.u (u2)
    {0267} (Index:01070;Format:nffFunction    ;OperatorPrecedence:000;Name:'AddProjectile'          ), // Engine.u (u2)
    {0268} (Index:01071;Format:nffFunction    ;OperatorPrecedence:000;Name:'RemoveProjectile'       ), // Engine.u (u2)
    {0269} (Index:01072;Format:nffFunction    ;OperatorPrecedence:000;Name:'AddParticleLight'       ), // Engine.u (u2)
    {0270} (Index:01073;Format:nffFunction    ;OperatorPrecedence:000;Name:'RemoveParticleLight'    ), // Engine.u (u2)
    {0271} (Index:01074;Format:nffFunction    ;OperatorPrecedence:000;Name:'TraceTexture'           ), // Engine.u (u2)
    {0272} (Index:01076;Format:nffFunction    ;OperatorPrecedence:000;Name:'FindWaterSurface'       ), // Engine.u (u2)
    {0273} (Index:01077;Format:nffFunction    ;OperatorPrecedence:000;Name:'IsInWater'              ), // Engine.u (u2)
    {0274} (Index:01080;Format:nffFunction    ;OperatorPrecedence:000;Name:'RegisterExternalForce'  ), // Engine.u (u2)
    {0275} (Index:01081;Format:nffFunction    ;OperatorPrecedence:000;Name:'UnRegisterExternalForce'), // Engine.u (u2)
    {0276} (Index:01082;Format:nffFunction    ;OperatorPrecedence:000;Name:'RegisterAffectedTemplate'), // Engine.u (u2)
    {0277} (Index:01083;Format:nffFunction    ;OperatorPrecedence:000;Name:'UnRegisterAffectedTemplate'), // Engine.u (u2)
    {0278} (Index:01089;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetHitTextureType'      ), // Engine.u (u2)
    {0279} (Index:01090;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetTexture'             ), // Engine.u (u2)
    {0280} (Index:01091;Format:nffFunction    ;OperatorPrecedence:000;Name:'GetSurfFlags'           ), // Engine.u (u2)
    {0281} (Index:01092;Format:nffFunction    ;OperatorPrecedence:000;Name:'SingleLineCheck'        ), // Engine.u (u2)
    {0282} (Index:03969;Format:nffFunction    ;OperatorPrecedence:000;Name:'MoveSmooth'             ), // Engine.u (u2)
    {0283} (Index:03970;Format:nffFunction    ;OperatorPrecedence:000;Name:'SetPhysics'             ), // Engine.u (u2)
    {0284} (Index:03971;Format:nffFunction    ;OperatorPrecedence:000;Name:'AutonomousPhysics'      )  // Engine.u (u2)
    );

implementation

end.
 